Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class Designer

    java.lang.Object
      jet.api.API
          jet.api.Designer

Direct Known Subclasses:
  MultiUserDesigner

    public class Designer

extends API

Designer class provides a series of editing methods for users. By building a Designer instance in Java program, users can edit report by API methods.

Field Summary
`static int` | `ARC` Shape class types.
`static int` | `AREA_ARRAY_2D` The chart type values.
`static int` | `AREA_ARRAY_3D` The chart type values.
`static int` | `AREA_PERCENT_2D` The chart type values.
`static int` | `AREA_PERCENT_3D` The chart type values.
`static int` | `AREA_STACK_2D` The chart type values.
`static int` | `AREA_STACK_3D` The chart type values.
`static int` | `AREACHART` The chart type values.
`static int` | `BANDEDOBJECT` JReport BandedObject type.
`static int` | `BANDEDOBJECT_FOOTER` Section class types.
`static int` | `BANDEDOBJECT_HEADER` Section class types.
`static int` | `BANDEDOBJECT_PAGEFOOTER` Section class types.
`static int` | `BANDEDOBJECT_PAGEHEADER` Section class types.
`static int` | `BAR_ARRAY_3D` The chart type values.
`static int` | `BAR_PERCENT_2D` The chart type values.
`static int` | `BAR_PERCENT_3D` The chart type values.
`static int` | `BAR_PERCENT_AREA_STACK_2D` The chart type values.
`static int` | `BAR_PERCENT_LINE_ARRAY_2D` The chart type values.
`static int` | `BAR_PERCENT_LINE_STACK_2D` The chart type values.
`static int` | `BAR_SIDEBYSIDE_2D` The chart type values.
`static int` | `BAR_SIDEBYSIDE_3D` The chart type values.
`static int` | `BAR_SIDEBYSIDE_AREA_STACK_2D` The chart type values.
`static int` | `BAR_SIDEBYSIDE_LINE_ARRAY_2D` The chart type values.
`static int` | `BAR_SIDEBYSIDE_LINE_STACK_2D` The chart type values.
`static int` | `BAR_STACK_2D` The chart type values.
`static int` | `BAR_STACK_3D` The chart type values.
`static int` | `BAR_STACK_AREA_STACK_2D` The chart type values.
`static int` | `BAR_STACK_LINE_ARRAY_2D` The chart type values.
`static int` | `BAR_STACK_LINE_STACK_2D` The chart type values.
`static int` | `BARCHART` The chart type values.
`static int` | `BARCODEFIELD` JReport object type.
`static int` | `BENCH_ARRAY_3D` The chart type values.
`static int` | `BENCH_PERCENT_2D` The chart type values.
`static int` | `BENCH_PERCENT_3D` The chart type values.
`static int` | `BENCH_SIDEBYSIDE_2D` The chart type values.
`static int` | `BENCH_SIDEBYSIDE_3D` The chart type values.
`static int` | `BENCH_STACK_2D` The chart type values.
`static int` | `BENCH_STACK_3D` The chart type values.
`static int` | `BENCHARRAYCHART` The chart type values.
`static int` | `BENCHCHART` The chart type values.
`static int` | `BOX` Shape class types.
`static int` | `BUBBLE_2D` The chart type values.
`static int` | `CENTERBOTTOM` The alignment type values.
`static int` | `CENTERCENTER` The alignment type values.
`static int` | `CENTERTOP` The alignment type values.
`static int` | `CHART2DCOORDINATEPAPER` Combinatorial Fields.
`static int` | `CHARTCOORDINATEPAPER` Combinatorial Fields.
`static int` | `CHARTLABEL` Combinatorial Fields.
`static int` | `CHARTLEGEND` Combinatorial Fields.
`static int` | `CHARTPLATFORM` Combinatorial Fields.
`static int` | `CODABAR` The barcode type values.
`static int` | `CODE_128` The barcode type values.
`static int` | `CODE_39` The barcode type values.
`static int` | `COLUMN` Container class types.
`static int` | `COMPUTEDCOLUMN` Field class types.
`static int` | `CROSSTAB` Combinatorial Fields.
`static int` | `CTAGGFIELD` Combinatorial Fields.
`static int` | `CTAGGINFO` Combinatorial Fields.
`static int` | `CTDBFIELD` Combinatorial Fields.
`static int` | `CTHDDBFIELD` Combinatorial Fields.
`static int` | `CTHDTEXTFIELD` Combinatorial Fields.
`static int` | `DATAOBJECT` Container class types.
`static int` | `DATASET` DataSet class types.
`static int` | `DATASET_TYPE_HDS` The dataset type constant.
`static int` | `DATASET_TYPE_ONDEMAND` The dataset type constant.
`static int` | `DATASET_TYPE_QUERY` The dataset type constant.
`static int` | `DBFIELD` Field class types.
`static int` | `DETAIL` Section class types.
`static int` | `EAN_13` The barcode type values.
`static int` | `EAN_8` The barcode type values.
`static int` | `EFFECT_2D`
`static int` | `EFFECT_3D`
`static int` | `EFFECT_MASK`
`static int` | `FETCHDATE` Special Fields
`static int` | `FETCHTIME` Special Fields
`static int` | `FORMULA` Field class types.
`static int` | `GAUGE_BALLS_2D` The chart type values.
`static int` | `GAUGE_BARS_2D` The chart type values.
`static int` | `GAUGE_DIALS_2D` The chart type values.
`static int` | `GROUP` Container class types.
`static int` | `GROUPFOOTER` Section class types.
`static int` | `GROUPHEADER` Section class types.
`static int` | `GROUPNAME` Special Fields
`static int` | `GROUPNUMBER` Special Fields
`static int` | `GROUPNUMBERS` Special Fields
`static int` | `IMAGE` Field class types.
`static int` | `JBROWSER` JReport UDO type
`static int` | `JHYPERLINK` JReport UDO type
`static int` | `JUSTIFYBOTTOM` The alignment type values.
`static int` | `JUSTIFYCENTER` The alignment type values.
`static int` | `JUSTIFYTOP` The alignment type values.
`static int` | `LABEL` Field class types.
`static int` | `LEFT` The moving direction value.
`static int` | `LEFT_UNDERSIDE_POINT` The resize direction value.
`static int` | `LEFT_UPSIDE_POINT` The resize direction value.
`static int` | `LEFTBOTTOM` The alignment type values.
`static int` | `LEFTCENTER` The alignment type values.
`static int` | `LEFTTOP` The alignment type values.
`static int` | `LINE` Shape class types.
`static int` | `LINE_ARRAY_2D` The chart type values.
`static int` | `LINE_ARRAY_3D` The chart type values.
`static int` | `LINE_ARRAY_LINE_ARRAY_2D` The chart type values.
`static int` | `LINE_PERCENT_2D` The chart type values.
`static int` | `LINE_STACK_2D` The chart type values.
`static int` | `LINECHART` The chart type values.
`static int` | `MEDIAFIELD` JReport object type.
`static int` | `MODIFIEDDATE` Special Fields
`static int` | `MODIFIEDTIME` Special Fields
`static int` | `MULTI_VALUE_BOX` Container class types.
`static int` | `NEWSTYLETABLE` Table class types.
`static int` | `OVAL` Shape class types.
`static int` | `PAGE` Container class types.
`static int` | `PAGEBREAK` JReport object type.
`static int` | `PAGEEND` JReport object type.
`static int` | `PAGEFOOTER` Section class types.
`static int` | `PAGEHEADER` Section class types.
`static int` | `PAGENOFM` Special Fields.
`static int` | `PAGENUMBER` Special Fields
`static int` | `PAGENUMBERS` Special Fields
`static int` | `PAGESTART` JReport object type.
`static int` | `PARAGRAPH` Container class types.
`static int` | `PARALLELDETAIL` Container class types.
`static int` | `PARAMETER` Field class types.
`static int` | `PIE_SIDEBYSIDE_2D` The chart type values.
`static int` | `PIE_SIDEBYSIDE_3D` The chart type values.
`static int` | `PIECHART` The chart type values.
`static int` | `PRINTDATE` Special Fields
`static int` | `PRINTTIME` Special Fields
`static int` | `RADAR_2D` The chart type values.
`static int` | `RECORDNUMBER` Special Fields
`static int` | `RENDER_BARCODE` The field type constant.
`static int` | `RENDER_BUTTON` The field type constant.
`static int` | `RENDER_CHECKBOX` The field type constant.
`static int` | `RENDER_DROPDOWNLIST` The field type constant.
`static int` | `RENDER_IMAGE` The field type constant.
`static int` | `RENDER_IMAGEBUTTON` The field type constant.
`static int` | `RENDER_LIST` The field type constant.
`static int` | `RENDER_RADIOBTN` The field type constant.
`static int` | `RENDER_RANK` The field type constant.
`static int` | `RENDER_RESETBUTTON` The field type constant.
`static int` | `RENDER_SUBMITBUTTON` The field type constant.
`static int` | `RENDER_TEXT` The field type constant.
`static int` | `RENDER_TEXTAREA` The field type constant.
`static int` | `RENDER_TEXTFIELD` The field type constant.
`static int` | `REPORT` Root class types.
`static int` | `REPORTBODY` ReportBody class types.
`static int` | `REPORTFOOTER` Section class types.
`static int` | `REPORTHEADER` Section class types.
`static int` | `REPORTSET` ReportSet class types.
`static int` | `REPORTSHEET` JReport object type.
`static int` | `RIGHT` The alignment type values.
`static int` | `RIGHT_UNDERSIDE_POINT` The resize direction value.
`static int` | `RIGHT_UPSIDE_POINT` The resize direction value.
`static int` | `RIGHTBOTTOM` The alignment type values.
`static int` | `RIGHTCENTER` The alignment type values.
`static int` | `RIGHTTOP` The alignment type values.
`static int` | `ROUNDBOX` Shape class types.
`static int` | `RPTDATASOURCE` Report datasource
`static int` | `SCATTER_POINTS_2D` The chart type values.
`static int` | `SCATTER_SMOOTH_LINES_2D` The chart type values.
`static int` | `SCATTER_STRAIGHT_LINES_2D` The chart type values.
`static int` | `SHAPE` Shape class types.
`static int` | `SIDEBYSIDEBARCHART` The chart type values.
`static int` | `SQLSTATMENT` Special Fields
`static int` | `STACKEDBARCHART` The chart type values.
`static int` | `STACKEDBENCH` The chart type values.
`static int` | `STOCK_HIGH_LOW_2D` The chart type values.
`static int` | `STOCK_HIGH_LOW_CLOSE_2D` The chart type values.
`static int` | `STOCK_OPEN_HIGH_LOW_CLOSE_2D` The chart type values.
`static int` | `SUBLINK` Combinatorial Fields.
`static int` | `SUBPARAMLINK` Combinatorial Fields.
`static int` | `SUBREPORT` Combinatorial Fields.
`static int` | `SUBRETVALUE` Combinatorial Fields.
`static int` | `SUMMARY` Field class types.
`static int` | `SURFACE_3D` The chart type values.
`static int` | `TABLE` Container class types.
`static int` | `TABLECELL` Table cell class types.
`static int` | `TABULARCELL` JReport object type.
`static int` | `TEXT` Combinatorial Fields.
`static int` | `TEXTBOX` Container class types.
`static int` | `UDO` JReport object type.
`static int` | `UPC_A` The barcode type values.
`static int` | `UPC_E` The barcode type values.
`static int` | `USERNAME` Special Fields
`static int` | `ZORDER_BACKWARD` The z-order type constant.
`static int` | `ZORDER_BOTTOM` The z-order type constant.
`static int` | `ZORDER_FORWARD` The z-order type constant.
`static int` | `ZORDER_TOP` The z-order type constant.

Fields inherited from class jet.api.API
`BOOLEAN, CAT, CENTIMETER, COLOR, DOUBLE, ENUM, FLOAT, handles, INCH, INTEGER, LONG, PIXEL, REFERENCE, RPT, SELFRPT, STRING, TEXTRPT, UNKNOWN, XMLCAT, XMLRPT`

Constructor Summary
`Designer(java.lang.String path, java.lang.String name)` Deprecated. since version 6.1.
`Designer(java.lang.String path, java.lang.String name, DesignerUserInfo user)` Constructor.
`Designer(java.lang.String path, java.lang.String name, java.lang.String subfix)` Deprecated. since version 6.1.
`Designer(java.lang.String path, java.lang.String name, java.lang.String subfix, DesignerUserInfo user)` Constructor.

Method Summary
`java.lang.String` | `addDataset(java.lang.String reportsetHandle, java.lang.String datasourceName, java.lang.String queryName, java.lang.String name, java.lang.String BVName, int datasetType)` Creates a dataset in report set
`void` | `addDisplayName(java.lang.String report, DisplayNameInfo displayNameInfo)` Deprecated.
`void` | `addDisplayName(java.lang.String report, java.lang.String datasetHandle, DisplayNameInfo displayNameInfo)` Add a Display Name to report.
`java.lang.String` | `addReport(java.lang.String reportsetHandle, java.lang.String name)` Creates a report in report set
`boolean` | `appendTabularColumn(java.lang.String tabular)` append a tabular column object.
`boolean` | `appendTabularRow(java.lang.String tabular)` append a tabular row object
`boolean` | `bindDataSet(java.lang.String handle, java.lang.String datasetName)` bind a data set into a data container object
`boolean` | `canDeleted(java.lang.String handle)` check whether the instance can be deleted
`boolean` | `canMergeTableCell(java.lang.String table, java.lang.String[] cellHandles)` Check whether the cells can be merged or not
`boolean` | `canMergeTabularCell(java.lang.String tabular, java.lang.String[] cellHandles)` Check whether the cells can be merged or not
`boolean` | `changeTabularCellHeight(java.lang.String tabular, java.lang.String cellHandle, double dispersion)` Modify a tabular cell object height
`boolean` | `changeTabularCellWidth(java.lang.String tabular, java.lang.String cellHandle, double dispersion)` Modify a tabular cell object width
`boolean` | `changeTabularHeight(java.lang.String tabular, double dispersion)` Modify a tabular object height
`boolean` | `changeTabularWidth(java.lang.String tabular, double dispersion)` Modify a tabular object width
`boolean` | `changeZOrder(java.lang.String objectHandle, int zorderType)` Sets z-order of object.
`boolean` | `close(java.lang.String handle)` Closes an opened report panel with report handle.
`boolean` | `closeReportSet()` Closes the current reportset and save the changes.
`java.lang.String` | `create(java.lang.String name, java.lang.String query)` Deprecated. since version 8.0
`java.lang.String` | `create(java.lang.String name, java.lang.String sourceName, java.lang.String query)` Deprecated. since version 8.0
`java.lang.String` | `createReportSet(java.lang.String name)` Creates a new reportset with name
`boolean` | `delete(java.lang.String handle)` Deletes an object from its parent node.
`boolean` | `deleteBandedObject(java.lang.String bandedObject)` delete a section-object from report
`boolean` | `deleteCrossTabAggregations(java.lang.String crossTab, int[] index)` delete crosstab aggregations
`boolean` | `deleteCrossTabColumns(java.lang.String crossTab, int[] index)` delete crosstab columns
`boolean` | `deleteCrossTabRows(java.lang.String crossTab, int[] index)` delete crosstab rows
`boolean` | `deleteDetailPanel(java.lang.String detailSection)` delete a detail section from report
`boolean` | `deleteGroup(java.lang.String groupHandle, boolean removeAllChildren)` delete a group object from report
`boolean` | `deletePage(java.lang.String pageHandle)` delete a page object from report
`boolean` | `deletePageController(java.lang.String controllerHandle)` delete a page controller object from report
`boolean` | `deleteReport(java.lang.String name)` Deprecated. since version 8.0
`boolean` | `deleteReport(java.lang.String rptsetHandle, java.lang.String name)` Delete a report from reportset.
`boolean` | `deleteSectionFooterPanel(java.lang.String footerSection)` delete a footer section from report
`boolean` | `deleteSectionHeaderPanel(java.lang.String headerSection)` delete a header section from report
`boolean` | `deleteTableColumns(java.lang.String table, int[] index)` deletes columns from new style table
`boolean` | `deleteTabularColumn(java.lang.String tabular, java.lang.String cellHandle)` delete a tabular column from tabular
`boolean` | `deleteTabularRow(java.lang.String tabular, java.lang.String cellHandle)` delete a tabular row from tabular
`void` | `exit()` Exits editing status.
`void` | `exitAndSave()` Exits editing status.
`java.util.Vector` | `getAllDisplayNames(java.lang.String report)` Get all Display Name from report.
`java.lang.String[]` | `getAllResourceNames(java.lang.String report)` Get all resource names in report.
`CatalogAPI` | `getCatalogAPI()` Gets catalog design api.
`java.lang.String` | `getCatalogName()` get catalog name.
`java.lang.String[]` | `getChangedByFields(java.lang.String handle, java.lang.String propertyName)` get formulae or fields which can control the property value
`ChartLabelInfo` | `getChartLabel(java.lang.String handle)` get label informations in a chart
`java.lang.String` | `getControlField(java.lang.String handle, java.lang.String name)` Gets field that can control property value at runtime.
`java.lang.String[]` | `getControlFields(java.lang.String handle, java.lang.String name)` Gets fields that can control property value at runtime.
`BLFilterInformation` | `getDatasetBLFilter(java.lang.String datasetHandle)` Gets a JReport businees logic filter
`java.lang.String[]` | `getDBFields(java.lang.String handle)` Gets DBFields that can be used in the report.
`DisplayNameInfo` | `getDisplayName(java.lang.String report, java.lang.String resourceName)` Get Display Name from report.
`java.lang.String[]` | `getFormats(java.lang.String handle)` get the default format list of object
`java.lang.String[]` | `getFormulae(java.lang.String handle)` Gets formulae that can be used in the report.
`java.lang.String[]` | `getFormulas(java.lang.String report)` Get all formula names in report.
`java.lang.String[]` | `getGeometries(java.lang.String handle)` Gets handles of geometry object in a report.
`java.lang.String[]` | `getGeometries(java.lang.String handle, boolean visible)` Gets handles of geometry object in a report.
`GroupInfo[]` | `getGroupInfo(java.lang.String handle)` get group information of report
`java.util.Vector` | `getGroupNames(java.lang.String report)` Get all group names in report.
`java.lang.String[]` | `getGroups(java.lang.String handle)` Gets handles of groups in a report.
`int` | `getIndex(java.lang.String objHandle)` gets the child index of its parent container
`java.lang.String` | `getKey()` Gets the key of JReport runtime.
`float` | `getMinSectionHeight(java.lang.String handle)` get the minimum height value of section.
`ObjectInfo` | `getObjectInfo(java.lang.String handle)` get object information in report
`int` | `getObjectType(java.lang.String handle)` get the type of object
`java.lang.String[]` | `getParameter()` Gets parameters in the catalog.
`java.lang.String` | `getParent(java.lang.String handle)` get the container(parent) of object by handle
`java.lang.String[]` | `getProcedures()` Gets procedures in the catalog.
`java.lang.String[]` | `getProcedures(java.lang.String sourceName)` Gets procedures in the catalog.
`java.lang.String[]` | `getQueries()` Gets queries in the catalog.
`java.lang.String[]` | `getQueries(java.lang.String sourceName)` Gets queries in the catalog.
`java.lang.String` | `getQueryName(java.lang.String handle)` Gets query name of a report.
`java.lang.String` | `getReporthome()` Gets the install root of application
`ReportSortInfo` | `getReportSortInfo(java.lang.String handle)` get report sort information of report
`java.lang.String[]` | `getSections(java.lang.String handle)` Gets handles of sections in a report.
`java.lang.String[]` | `getSections(java.lang.String handle, boolean visible)` Gets handles of sections in a report.
`java.lang.String[]` | `getSections(java.lang.String handle, boolean visible, int type)` Gets handles of sections in a report.
`SortInfo[]` | `getSortInfo(java.lang.String handle)` get sort information of group or report
`java.lang.String[]` | `getSQLs()` Gets SQLs in the catalog.
`java.lang.String[]` | `getSQLs(java.lang.String sourceName)` Gets SQLs in the catalog.
`java.lang.String[]` | `getSummaries(java.lang.String handle)` Gets summaries that can be used in the report.
`double` | `getTableWidth(java.lang.String parent, TableTemplateInfo info)` Gets prefered table width according to specified TableTemplateInfo.
`java.lang.String` | `getTabularCell(java.lang.String tabular, int rowIndex, int colIndex)` Get cell handle of specified tabular row and column
`java.lang.String[]` | `getTabularColumnCells(java.lang.String tabular, int index)` Get cell handles of specified tabular column
`java.lang.String[]` | `getTabularRowCells(java.lang.String tabular, int index)` Get cell handles of specified tabular row
`java.lang.String[]` | `getUDS()` Gets UDSs in the catalog.
`java.lang.String[]` | `getUDS(java.lang.String sourceName)` Gets UDSs in the catalog.
`java.lang.String` | `getUID()` Gets the UserID of JReport runtime.
`java.lang.String` | `getUserID()` Gets user ID of the designer API
`java.lang.String[]` | `getViews()` Gets VIEWs in the catalog.
`boolean` | `hasPageSecurity(java.lang.String handle)` To get the status that whether the report has a page level security
`boolean` | `hideTableColumn(java.lang.String table, int index)` hides a table column
`java.lang.String` | `insert(java.lang.String parent, ChartLegendInfo chartLegendInfo, java.lang.String paperName)` Inserts a chart object and its children into the parent node.
`java.lang.String` | `insert(java.lang.String parent, CTRowColFieldInfo colInfo, CTRowColFieldInfo rowInfo, CTAggFieldInfo aggInfo)` Deprecated. since version 8.0
`java.lang.String` | `insert(java.lang.String parent, int type, java.lang.String name)` Inserts an object into the parent node.
`java.lang.String` | `insert(java.lang.String parent, int type, java.lang.String name, GroupInfo groupInfo, SpecGroupInfo specGroupInfo)` Deprecated.
`java.lang.String` | `insert(java.lang.String parent, int type, java.lang.String name, java.lang.String mapping)` Inserts an object of database field, parameter, formula , summary or group into the parent node.
`java.lang.String` | `insert(java.lang.String parent, int type, java.lang.String name, java.lang.String topSection, java.lang.String bottomSection)` Inserts a shape object such as box, line, arc, or oval into report.
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, boolean avoid, boolean onleft, boolean ontop, boolean repeat, boolean vertical, int boundary, CTRowColFieldInfo[] colInfo, CTRowColFieldInfo[] rowInfo, CTAggFieldInfo[] aggInfo)` Deprecated. since version 8.0
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, CTRowColFieldInfo[] colInfo, CTRowColFieldInfo[] rowInfo, CTAggFieldInfo[] aggInfo)` Deprecated. since version 8.0
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, GroupInfo groupInfo)` Deprecated. since version 8.0
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, int type, boolean isGroup, java.lang.String group1, java.lang.String group2, java.lang.String[] value)` Inserts a chart object and its children into the parent node.
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, java.lang.String UDOname)` Inserts a UDO object into the parent node.
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, java.lang.String paperName, int type, boolean isGroup, java.lang.String group1, java.lang.String group2, java.lang.String[] value, ChartLegendInfo chartLegendInfo, ChartLabelInfo chartLabelInfo)` Inserts a chart object and its children into the parent node.
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, java.lang.String paperName, int type1, int type2, boolean isGroup, java.lang.String group1, java.lang.String group2, java.lang.String[] value, ChartLegendInfo chartLegendInfo, ChartLabelInfo chartLabelInfo)` Inserts a combo chart object and its children into the parent node.
`java.lang.String` | `insert(java.lang.String parent, java.lang.String name, java.lang.String paperName, int type, java.lang.String group1, java.lang.String group2, java.lang.String value, ChartLegendInfo chartLegendInfo, ChartLabelInfo chartLabelInfo)` Deprecated. since version 8.0
`java.lang.String` | `insertBandedObject(java.lang.String parent, boolean withHeader, boolean withFooter, boolean withDetail)` Inserts a banded object into report
`java.lang.String` | `insertChart(java.lang.String parent, ChartInfo info)` Inserts a chart into report
`java.lang.String` | `insertColumn(java.lang.String parent, int type, java.lang.String name, java.lang.String mapping, int index)` Deprecated. since version 8.0
`java.lang.String` | `insertCrossTab(java.lang.String parent, CrossTabInfo info)` Inserts a crosstab into report
`java.lang.String` | `insertCrossTabAggregations(java.lang.String crossTab, CTAggFieldInfo[] infos, int index)` Inserts aggregations into crosstab
`java.lang.String` | `insertCrossTabColumns(java.lang.String crossTab, CTRowColFieldInfo[] infos, int index)` Inserts columns into crosstab
`java.lang.String` | `insertCrossTabRows(java.lang.String crossTab, CTRowColFieldInfo[] infos, int index)` Inserts rows into crosstab
`java.lang.String` | `insertDetailPanel(java.lang.String parent, java.lang.String referedHandle, boolean isinsertedBefore)` insert a section object into report
`java.lang.String` | `insertField(java.lang.String parent, java.lang.String mapping, java.lang.String blName, int fieldType, int renderType)` insert a field object into report
`java.lang.String` | `insertPage(java.lang.String reportHandle)` insert a page object into report
`java.lang.String` | `insertPageBreak(java.lang.String parent, java.lang.String referedHandle, boolean isinsertedBefore)` insert a page break object into report
`java.lang.String[]` | `insertPageStartEnd(java.lang.String pageHandle, java.lang.String parent, int startIndex, int endIndex)` insert a page control object into report
`java.lang.String` | `insertSectionFooterPanel(java.lang.String parent, java.lang.String referedHandle, boolean isinsertedBefore)` insert a bandedobject section footer into report
`java.lang.String` | `insertSectionGroup(java.lang.String parent, GroupInfo groupInfo)` insert a group object into report
`java.lang.String` | `insertSectionHeaderPanel(java.lang.String parent, java.lang.String referedHandle, boolean isinsertedBefore)` insert a bandedobject header section object into report
`java.lang.String` | `insertSectionPanel(java.lang.String parent, java.lang.String referedHandle, int sectionType, boolean isinsertedBefore)` insert a bandedobject section into report
`java.lang.String` | `insertShape(java.lang.String parent, Shape shape)` insert a geometry object into report
`java.lang.String` | `insertTable(java.lang.String parent, TableTemplateInfo info)` Inserts a new style table into report
`java.lang.String` | `insertTable(java.lang.String parent, TableTemplateInfo info, boolean increasePanel)` Inserts a new style table into report
`java.lang.String` | `insertTableColumn(java.lang.String table, int index, int direction)` Inserts a column into new style table
`java.lang.String` | `insertTableColumn(java.lang.String table, int index, int direction, java.lang.String fieldName, java.lang.String title, boolean increaseTable, boolean auotResetPage)` Inserts a column with fields into new style table
`java.lang.String` | `insertTableGroup(java.lang.String table, java.lang.String parentGroup, java.lang.String mapping, java.lang.String blName)` insets group into the table
`java.lang.String` | `insertTabular(java.lang.String parent, java.lang.String tabularName, int colVol, int rowVol)` Inserts a new tabular object into report
`boolean` | `mergeTableCells(java.lang.String table, java.lang.String[] cellsid)` Merge table cells into one cell
`java.lang.String` | `mergeTabularCells(java.lang.String tabular, java.lang.String[] cellsid)` Merge tabular cells into one cell
`java.lang.String` | `moveCrossTabAggregations(java.lang.String crossTab, int[] orignalIndex, int desIndex)` move crosstab aggregations
`java.lang.String` | `moveCrossTabColumns(java.lang.String crossTab, int[] orignalIndex, int desIndex)` move crosstab columns
`java.lang.String` | `moveCrossTabRows(java.lang.String crossTab, int[] orignalIndex, int desIndex)` move crosstab rows
`boolean` | `moveTableColumns(java.lang.String table, int[] index, int step, int direction)` move table columns
`java.lang.String` | `open(java.lang.String name)` Opens a report panel with report name.
`boolean` | `pivotCrossTab(java.lang.String crossTab)` pivot the crosstab
`boolean` | `pivotTable(java.lang.String table, int colIndex1, int colIndex2)` pivots the table
`boolean` | `quit()` Quits editing status.
`boolean` | `quit(java.lang.String handle)` Quits an opened report with report handle without any change be saved.
`void` | `removeDisplayName(java.lang.String report, DisplayNameInfo displayNameInfo)` Remove a Display Name from current report.
`java.lang.String` | `removeTableGroup(java.lang.String table, java.lang.String group)` remove group from the table
`boolean` | `resizeTable(java.lang.String table, int refPoint, double xPercentage, double yPercentage, boolean increasePanel)` resize the table with specified rate
`boolean` | `resizeTabular(java.lang.String tabular, int refPoint, double xPercentage, double yPercentage, boolean increasePanel)` resize the tabular object with specified rate
`java.lang.String` | `saveAs(java.lang.String handle, java.lang.String newname)` Saves an opened report as new report file.
`boolean` | `saveSelfContainedReport(java.lang.String rptHandle, java.lang.String path, java.lang.String filename)` save the report as a self-contained report
`boolean` | `saveSelfReport(java.lang.String path, java.lang.String name, java.lang.String newName)` Deprecated. since version 8.0
`boolean` | `set(java.lang.String handle, java.lang.String name, int value)` Changes property value of an object.
`boolean` | `setControlFields(java.lang.String handle, java.lang.String prop, java.lang.String field)` Sets field to control property value at runtime.
`boolean` | `setCTAggFieldHeight(java.lang.String crossTab, int yDepth, int index, double height)` set crosstab aggregation height
`boolean` | `setCTAggFieldWidth(java.lang.String crossTab, int xDepth, int index, double width)` set crosstab aggregation field width
`boolean` | `setCTAggTitleHeight(java.lang.String crossTab, int index, double height)` set crosstab aggregation title height
`boolean` | `setCTAggTitleWidth(java.lang.String crossTab, int index, double width)` set crosstab aggregation title width
`boolean` | `setCTColHeaderHeight(java.lang.String crossTab, int index, double height)` set crosstab column header height
`boolean` | `setCTRowHeaderWidth(java.lang.String crossTab, int index, double width)` set crosstab row header width
`boolean` | `setDataset(java.lang.String objHandle, java.lang.String datasetHandle)` Applys a dataset to report Object
`boolean` | `setDatasetBLFilter(java.lang.String datasetHandle, BLFilterInformation filterInfo)` Applys a JReport businees logic filter to dataset
`boolean` | `setDefaultFormat(java.lang.String handle)` Sets default object format
`void` | `setPageWidth(double width)` set width of page
`void` | `setReporthome(java.lang.String reporthome)` set the install root of application
`void` | `setReportSortInfo(java.lang.String handle, ReportSortInfo sortInfo)` Set sort information of whole report
`void` | `setSortInfo(java.lang.String handle, SortInfo[] sortInfo)` Set sort information of specified group
`boolean` | `setStyle(java.lang.String reportHandle, java.lang.String[] objectHandles, java.lang.String styleName, boolean isURL)` Set css or style to the report
`boolean` | `setStyle(java.lang.String reportHandle, java.lang.String viewName, java.lang.String styleName)` Set css or style to the report
`boolean` | `setTableColumnWidth(java.lang.String table, int index, double increment, boolean increaseTable, boolean increasePanel)` reset the table column width
`void` | `setUserInfo(java.lang.String uid, java.lang.String key)` Deprecated. since version 6.1.
`boolean` | `splitTabularCell(java.lang.String tabular, java.lang.String cellHandle, int rowVol, int clmVol)` split a tabular cell into a m*n table
`void` | `updateDisplayName(java.lang.String report, DisplayNameInfo displayNameInfo)` Update properties of a Display Name.

Methods inherited from class jet.api.API
`clearError, clearMsg, clearWarning, closeLog, containPropName, getBool, getChildren, getColor, getDouble, getError, getFloat, getHandles, getHandles, getHandles, getHandles, getInstanceName, getInt, getLong, getPropNames, getPropType, getQualifyName, getString, getStringArray, getUnit, getWarning, set, set, set, set, set, set, setLog, setLog, setLog, setReference, setUnit, writeLog, writeLog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPORT

    public static final int REPORT

  Root class types.

  See Also:
    Constant Field Values

### PAGE

    public static final int PAGE

  Container class types.

  See Also:
    Constant Field Values

### GROUP

    public static final int GROUP

  Container class types.

  See Also:
    Constant Field Values

### REPORTHEADER

    public static final int REPORTHEADER

  Section class types.

  See Also:
    Constant Field Values

### REPORTFOOTER

    public static final int REPORTFOOTER

  Section class types.

  See Also:
    Constant Field Values

### PAGEHEADER

    public static final int PAGEHEADER

  Section class types.

  See Also:
    Constant Field Values

### PAGEFOOTER

    public static final int PAGEFOOTER

  Section class types.

  See Also:
    Constant Field Values

### GROUPHEADER

    public static final int GROUPHEADER

  Section class types.

  See Also:
    Constant Field Values

### GROUPFOOTER

    public static final int GROUPFOOTER

  Section class types.

  See Also:
    Constant Field Values

### DETAIL

    public static final int DETAIL

  Section class types.

  See Also:
    Constant Field Values

### LABEL

    public static final int LABEL

  Field class types.

  See Also:
    Constant Field Values

### DBFIELD

    public static final int DBFIELD

  Field class types.

  See Also:
    Constant Field Values

### COMPUTEDCOLUMN

    public static final int COMPUTEDCOLUMN

  Field class types.

  See Also:
    Constant Field Values

### FORMULA

    public static final int FORMULA

  Field class types.

  See Also:
    Constant Field Values

### SUMMARY

    public static final int SUMMARY

  Field class types.

  See Also:
    Constant Field Values

### PARAMETER

    public static final int PARAMETER

  Field class types.

  See Also:
    Constant Field Values

### IMAGE

    public static final int IMAGE

  Field class types.

  See Also:
    Constant Field Values

### USERNAME

    public static final int USERNAME

  Special Fields

  See Also:
    Constant Field Values

### PRINTDATE

    public static final int PRINTDATE

  Special Fields

  See Also:
    Constant Field Values

### PRINTTIME

    public static final int PRINTTIME

  Special Fields

  See Also:
    Constant Field Values

### FETCHDATE

    public static final int FETCHDATE

  Special Fields

  See Also:
    Constant Field Values

### FETCHTIME

    public static final int FETCHTIME

  Special Fields

  See Also:
    Constant Field Values

### MODIFIEDDATE

    public static final int MODIFIEDDATE

  Special Fields

  See Also:
    Constant Field Values

### MODIFIEDTIME

    public static final int MODIFIEDTIME

  Special Fields

  See Also:
    Constant Field Values

### RECORDNUMBER

    public static final int RECORDNUMBER

  Special Fields

  See Also:
    Constant Field Values

### GROUPNAME

    public static final int GROUPNAME

  Special Fields

  See Also:
    Constant Field Values

### GROUPNUMBER

    public static final int GROUPNUMBER

  Special Fields

  See Also:
    Constant Field Values

### GROUPNUMBERS

    public static final int GROUPNUMBERS

  Special Fields

  See Also:
    Constant Field Values

### PAGENUMBER

    public static final int PAGENUMBER

  Special Fields

  See Also:
    Constant Field Values

### PAGENUMBERS

    public static final int PAGENUMBERS

  Special Fields

  See Also:
    Constant Field Values

### SQLSTATMENT

    public static final int SQLSTATMENT

  Special Fields

  See Also:
    Constant Field Values

### TEXT

    public static final int TEXT

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CHARTLABEL

    public static final int CHARTLABEL

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CHARTLEGEND

    public static final int CHARTLEGEND

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CHARTPLATFORM

    public static final int CHARTPLATFORM

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CHARTCOORDINATEPAPER

    public static final int CHARTCOORDINATEPAPER

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CROSSTAB

    public static final int CROSSTAB

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CTAGGFIELD

    public static final int CTAGGFIELD

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CTAGGINFO

    public static final int CTAGGINFO

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CTDBFIELD

    public static final int CTDBFIELD

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CTHDDBFIELD

    public static final int CTHDDBFIELD

  Combinatorial Fields.

  See Also:
    Constant Field Values

### CTHDTEXTFIELD

    public static final int CTHDTEXTFIELD

  Combinatorial Fields.

  See Also:
    Constant Field Values

### SUBREPORT

    public static final int SUBREPORT

  Combinatorial Fields.

  See Also:
    Constant Field Values

### SUBLINK

    public static final int SUBLINK

  Combinatorial Fields.

  See Also:
    Constant Field Values

### SUBPARAMLINK

    public static final int SUBPARAMLINK

  Combinatorial Fields.

  See Also:
    Constant Field Values

### SUBRETVALUE

    public static final int SUBRETVALUE

  Combinatorial Fields.

  See Also:
    Constant Field Values

### LINE

    public static final int LINE

  Shape class types.

  See Also:
    Constant Field Values

### BOX

    public static final int BOX

  Shape class types.

  See Also:
    Constant Field Values

### ROUNDBOX

    public static final int ROUNDBOX

  Shape class types.

  See Also:
    Constant Field Values

### OVAL

    public static final int OVAL

  Shape class types.

  See Also:
    Constant Field Values

### ARC

    public static final int ARC

  Shape class types.

  See Also:
    Constant Field Values

### RPTDATASOURCE

    public static final int RPTDATASOURCE

  Report datasource

  See Also:
    Constant Field Values

### JHYPERLINK

    public static final int JHYPERLINK

  JReport UDO type

  See Also:
    Constant Field Values

### JBROWSER

    public static final int JBROWSER

  JReport UDO type

  See Also:
    Constant Field Values

### DATAOBJECT

    public static final int DATAOBJECT

  Container class types.

  See Also:
    Constant Field Values

### TABLE

    public static final int TABLE

  Container class types.

  See Also:
    Constant Field Values

### COLUMN

    public static final int COLUMN

  Container class types.

  See Also:
    Constant Field Values

### MEDIAFIELD

    public static final int MEDIAFIELD

  JReport object type.

  See Also:
    Constant Field Values

### UDO

    public static final int UDO

  JReport object type.

  See Also:
    Constant Field Values

### CHART2DCOORDINATEPAPER

    public static final int CHART2DCOORDINATEPAPER

  Combinatorial Fields.

  See Also:
    Constant Field Values

### BARCODEFIELD

    public static final int BARCODEFIELD

  JReport object type.

  See Also:
    Constant Field Values

### PAGENOFM

    public static final int PAGENOFM

  Special Fields.

  See Also:
    Constant Field Values

### NEWSTYLETABLE

    public static final int NEWSTYLETABLE

  Table class types.

  See Also:
    Constant Field Values

### TABLECELL

    public static final int TABLECELL

  Table cell class types.

  See Also:
    Constant Field Values

### REPORTSET

    public static final int REPORTSET

  ReportSet class types.

  See Also:
    Constant Field Values

### DATASET

    public static final int DATASET

  DataSet class types.

  See Also:
    Constant Field Values

### REPORTBODY

    public static final int REPORTBODY

  ReportBody class types.

  See Also:
    Constant Field Values

### PARAGRAPH

    public static final int PARAGRAPH

  Container class types.

  See Also:
    Constant Field Values

### TEXTBOX

    public static final int TEXTBOX

  Container class types.

  See Also:
    Constant Field Values

### MULTI_VALUE_BOX

    public static final int MULTI_VALUE_BOX

  Container class types.

  See Also:
    Constant Field Values

### PARALLELDETAIL

    public static final int PARALLELDETAIL

  Container class types.

  See Also:
    Constant Field Values

### PAGEBREAK

    public static final int PAGEBREAK

  JReport object type.

  See Also:
    Constant Field Values

### PAGESTART

    public static final int PAGESTART

  JReport object type.

  See Also:
    Constant Field Values

### PAGEEND

    public static final int PAGEEND

  JReport object type.

  See Also:
    Constant Field Values

### REPORTSHEET

    public static final int REPORTSHEET

  JReport object type.

  See Also:
    Constant Field Values

### TABULARCELL

    public static final int TABULARCELL

  JReport object type.

  See Also:
    Constant Field Values

### BANDEDOBJECT

    public static final int BANDEDOBJECT

  JReport BandedObject type.

  See Also:
    Constant Field Values

### BANDEDOBJECT_PAGEHEADER

    public static final int BANDEDOBJECT_PAGEHEADER

  Section class types.

  See Also:
    Constant Field Values

### BANDEDOBJECT_PAGEFOOTER

    public static final int BANDEDOBJECT_PAGEFOOTER

  Section class types.

  See Also:
    Constant Field Values

### BANDEDOBJECT_HEADER

    public static final int BANDEDOBJECT_HEADER

  Section class types.

  See Also:
    Constant Field Values

### BANDEDOBJECT_FOOTER

    public static final int BANDEDOBJECT_FOOTER

  Section class types.

  See Also:
    Constant Field Values

### SHAPE

    public static final int SHAPE

  Shape class types.

  See Also:
    Constant Field Values

### BARCHART

    public static final int BARCHART

  The chart type values.

  See Also:
    Constant Field Values

### SIDEBYSIDEBARCHART

    public static final int SIDEBYSIDEBARCHART

  The chart type values.

  See Also:
    Constant Field Values

### STACKEDBARCHART

    public static final int STACKEDBARCHART

  The chart type values.

  See Also:
    Constant Field Values

### BENCHARRAYCHART

    public static final int BENCHARRAYCHART

  The chart type values.

  See Also:
    Constant Field Values

### BENCHCHART

    public static final int BENCHCHART

  The chart type values.

  See Also:
    Constant Field Values

### STACKEDBENCH

    public static final int STACKEDBENCH

  The chart type values.

  See Also:
    Constant Field Values

### PIECHART

    public static final int PIECHART

  The chart type values.

  See Also:
    Constant Field Values

### LINECHART

    public static final int LINECHART

  The chart type values.

  See Also:
    Constant Field Values

### AREACHART

    public static final int AREACHART

  The chart type values.

  See Also:
    Constant Field Values

### BAR_SIDEBYSIDE_2D

    public static final int BAR_SIDEBYSIDE_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_STACK_2D

    public static final int BAR_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_PERCENT_2D

    public static final int BAR_PERCENT_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_SIDEBYSIDE_3D

    public static final int BAR_SIDEBYSIDE_3D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_STACK_3D

    public static final int BAR_STACK_3D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_PERCENT_3D

    public static final int BAR_PERCENT_3D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_ARRAY_3D

    public static final int BAR_ARRAY_3D

  The chart type values.

  See Also:
    Constant Field Values

### BENCH_SIDEBYSIDE_2D

    public static final int BENCH_SIDEBYSIDE_2D

  The chart type values.

  See Also:
    Constant Field Values

### BENCH_STACK_2D

    public static final int BENCH_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### BENCH_PERCENT_2D

    public static final int BENCH_PERCENT_2D

  The chart type values.

  See Also:
    Constant Field Values

### BENCH_SIDEBYSIDE_3D

    public static final int BENCH_SIDEBYSIDE_3D

  The chart type values.

  See Also:
    Constant Field Values

### BENCH_STACK_3D

    public static final int BENCH_STACK_3D

  The chart type values.

  See Also:
    Constant Field Values

### BENCH_PERCENT_3D

    public static final int BENCH_PERCENT_3D

  The chart type values.

  See Also:
    Constant Field Values

### BENCH_ARRAY_3D

    public static final int BENCH_ARRAY_3D

  The chart type values.

  See Also:
    Constant Field Values

### LINE_ARRAY_2D

    public static final int LINE_ARRAY_2D

  The chart type values.

  See Also:
    Constant Field Values

### LINE_STACK_2D

    public static final int LINE_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### LINE_PERCENT_2D

    public static final int LINE_PERCENT_2D

  The chart type values.

  See Also:
    Constant Field Values

### LINE_ARRAY_3D

    public static final int LINE_ARRAY_3D

  The chart type values.

  See Also:
    Constant Field Values

### AREA_STACK_2D

    public static final int AREA_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### AREA_PERCENT_2D

    public static final int AREA_PERCENT_2D

  The chart type values.

  See Also:
    Constant Field Values

### AREA_STACK_3D

    public static final int AREA_STACK_3D

  The chart type values.

  See Also:
    Constant Field Values

### AREA_PERCENT_3D

    public static final int AREA_PERCENT_3D

  The chart type values.

  See Also:
    Constant Field Values

### PIE_SIDEBYSIDE_2D

    public static final int PIE_SIDEBYSIDE_2D

  The chart type values.

  See Also:
    Constant Field Values

### PIE_SIDEBYSIDE_3D

    public static final int PIE_SIDEBYSIDE_3D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_SIDEBYSIDE_LINE_ARRAY_2D

    public static final int BAR_SIDEBYSIDE_LINE_ARRAY_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_STACK_LINE_ARRAY_2D

    public static final int BAR_STACK_LINE_ARRAY_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_PERCENT_LINE_ARRAY_2D

    public static final int BAR_PERCENT_LINE_ARRAY_2D

  The chart type values.

  See Also:
    Constant Field Values

### LINE_ARRAY_LINE_ARRAY_2D

    public static final int LINE_ARRAY_LINE_ARRAY_2D

  The chart type values.

  See Also:
    Constant Field Values

### AREA_ARRAY_2D

    public static final int AREA_ARRAY_2D

  The chart type values.

  See Also:
    Constant Field Values

### AREA_ARRAY_3D

    public static final int AREA_ARRAY_3D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_SIDEBYSIDE_LINE_STACK_2D

    public static final int BAR_SIDEBYSIDE_LINE_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_STACK_LINE_STACK_2D

    public static final int BAR_STACK_LINE_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_PERCENT_LINE_STACK_2D

    public static final int BAR_PERCENT_LINE_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_SIDEBYSIDE_AREA_STACK_2D

    public static final int BAR_SIDEBYSIDE_AREA_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_STACK_AREA_STACK_2D

    public static final int BAR_STACK_AREA_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### BAR_PERCENT_AREA_STACK_2D

    public static final int BAR_PERCENT_AREA_STACK_2D

  The chart type values.

  See Also:
    Constant Field Values

### STOCK_HIGH_LOW_CLOSE_2D

    public static final int STOCK_HIGH_LOW_CLOSE_2D

  The chart type values.

  See Also:
    Constant Field Values

### STOCK_OPEN_HIGH_LOW_CLOSE_2D

    public static final int STOCK_OPEN_HIGH_LOW_CLOSE_2D

  The chart type values.

  See Also:
    Constant Field Values

### RADAR_2D

    public static final int RADAR_2D

  The chart type values.

  See Also:
    Constant Field Values

### SCATTER_POINTS_2D

    public static final int SCATTER_POINTS_2D

  The chart type values.

  See Also:
    Constant Field Values

### SCATTER_SMOOTH_LINES_2D

    public static final int SCATTER_SMOOTH_LINES_2D

  The chart type values.

  See Also:
    Constant Field Values

### SCATTER_STRAIGHT_LINES_2D

    public static final int SCATTER_STRAIGHT_LINES_2D

  The chart type values.

  See Also:
    Constant Field Values

### BUBBLE_2D

    public static final int BUBBLE_2D

  The chart type values.

  See Also:
    Constant Field Values

### GAUGE_DIALS_2D

    public static final int GAUGE_DIALS_2D

  The chart type values.

  See Also:
    Constant Field Values

### GAUGE_BARS_2D

    public static final int GAUGE_BARS_2D

  The chart type values.

  See Also:
    Constant Field Values

### GAUGE_BALLS_2D

    public static final int GAUGE_BALLS_2D

  The chart type values.

  See Also:
    Constant Field Values

### SURFACE_3D

    public static final int SURFACE_3D

  The chart type values.

  See Also:
    Constant Field Values

### STOCK_HIGH_LOW_2D

    public static final int STOCK_HIGH_LOW_2D

  The chart type values.

  See Also:
    Constant Field Values

### UPC_A

    public static final int UPC_A

  The barcode type values.

  See Also:
    Constant Field Values

### UPC_E

    public static final int UPC_E

  The barcode type values.

  See Also:
    Constant Field Values

### EAN_13

    public static final int EAN_13

  The barcode type values.

  See Also:
    Constant Field Values

### EAN_8

    public static final int EAN_8

  The barcode type values.

  See Also:
    Constant Field Values

### CODE_39

    public static final int CODE_39

  The barcode type values.

  See Also:
    Constant Field Values

### CODE_128

    public static final int CODE_128

  The barcode type values.

  See Also:
    Constant Field Values

### CODABAR

    public static final int CODABAR

  The barcode type values.

  See Also:
    Constant Field Values

### LEFTTOP

    public static final int LEFTTOP

  The alignment type values.

### CENTERTOP

    public static final int CENTERTOP

  The alignment type values.

### RIGHTTOP

    public static final int RIGHTTOP

  The alignment type values.

### LEFTCENTER

    public static final int LEFTCENTER

  The alignment type values.

### CENTERCENTER

    public static final int CENTERCENTER

  The alignment type values.

### RIGHTCENTER

    public static final int RIGHTCENTER

  The alignment type values.

### LEFTBOTTOM

    public static final int LEFTBOTTOM

  The alignment type values.

### CENTERBOTTOM

    public static final int CENTERBOTTOM

  The alignment type values.

### RIGHTBOTTOM

    public static final int RIGHTBOTTOM

  The alignment type values.

### JUSTIFYTOP

    public static final int JUSTIFYTOP

  The alignment type values.

### JUSTIFYCENTER

    public static final int JUSTIFYCENTER

  The alignment type values.

### JUSTIFYBOTTOM

    public static final int JUSTIFYBOTTOM

  The alignment type values.

### LEFT_UPSIDE_POINT

    public static final int LEFT_UPSIDE_POINT

  The resize direction value.

### LEFT_UNDERSIDE_POINT

    public static final int LEFT_UNDERSIDE_POINT

  The resize direction value.

### RIGHT_UPSIDE_POINT

    public static final int RIGHT_UPSIDE_POINT

  The resize direction value.

### RIGHT_UNDERSIDE_POINT

    public static final int RIGHT_UNDERSIDE_POINT

  The resize direction value.

### LEFT

    public static final int LEFT

  The moving direction value.

### RIGHT

    public static final int RIGHT

  The alignment type values.

### RENDER_TEXT

    public static final int RENDER_TEXT

  The field type constant.

### RENDER_RANK

    public static final int RENDER_RANK

  The field type constant.

### RENDER_BARCODE

    public static final int RENDER_BARCODE

  The field type constant.

### RENDER_IMAGE

    public static final int RENDER_IMAGE

  The field type constant.

### RENDER_TEXTFIELD

    public static final int RENDER_TEXTFIELD

  The field type constant.

### RENDER_TEXTAREA

    public static final int RENDER_TEXTAREA

  The field type constant.

### RENDER_CHECKBOX

    public static final int RENDER_CHECKBOX

  The field type constant.

### RENDER_RADIOBTN

    public static final int RENDER_RADIOBTN

  The field type constant.

### RENDER_LIST

    public static final int RENDER_LIST

  The field type constant.

### RENDER_DROPDOWNLIST

    public static final int RENDER_DROPDOWNLIST

  The field type constant.

### RENDER_IMAGEBUTTON

    public static final int RENDER_IMAGEBUTTON

  The field type constant.

### RENDER_BUTTON

    public static final int RENDER_BUTTON

  The field type constant.

### RENDER_SUBMITBUTTON

    public static final int RENDER_SUBMITBUTTON

  The field type constant.

### RENDER_RESETBUTTON

    public static final int RENDER_RESETBUTTON

  The field type constant.

### DATASET_TYPE_QUERY

    public static final int DATASET_TYPE_QUERY

  The dataset type constant.

### DATASET_TYPE_HDS

    public static final int DATASET_TYPE_HDS

  The dataset type constant.

### DATASET_TYPE_ONDEMAND

    public static final int DATASET_TYPE_ONDEMAND

  The dataset type constant.

### ZORDER_TOP

    public static final int ZORDER_TOP

  The z-order type constant.

### ZORDER_BOTTOM

    public static final int ZORDER_BOTTOM

  The z-order type constant.

### ZORDER_BACKWARD

    public static final int ZORDER_BACKWARD

  The z-order type constant.

### ZORDER_FORWARD

    public static final int ZORDER_FORWARD

  The z-order type constant.

### EFFECT_MASK

    public static final int EFFECT_MASK

### EFFECT_2D

    public static final int EFFECT_2D

### EFFECT_3D

    public static final int EFFECT_3D

Constructor Detail

### Designer

    public Designer(java.lang.String path,
                    java.lang.String name)
             throws ReadFailureException,
                    UniverseFileException

  Deprecated. since version 6.1.

  Constructor. Creates a Designer object. If the catalog file is not existed a default catalog is created.

  Parameters:
    `path` - path of catalog file.
    `name` - name of catalog file.
  Throws:
    `ReadFailureException`
    `UniverseFileException`

### Designer

    public Designer(java.lang.String path,
                    java.lang.String name,
                    DesignerUserInfo user)
             throws ReadFailureException,
                    UniverseFileException

  Constructor. Creates a Designer object. If the catalog file is not existed a default catalog is created.

  Parameters:
    `path` - path of catalog file.
    `name` - name of catalog file.
    `user` - user information.
  Throws:
    `ReadFailureException`
    `UniverseFileException`
  Since:
    version 6.1.

### Designer

    public Designer(java.lang.String path,
                    java.lang.String name,
                    java.lang.String subfix)
             throws ReadFailureException,
                    UniverseFileException

  Deprecated. since version 6.1.

  Constructor. Creates a Designer object. If the catalog file is not existed a default catalog is created.

  Parameters:
    `path` - path of catalog file.
    `name` - name of catalog file.
  Throws:
    `ReadFailureException`
    `UniverseFileException`

### Designer

    public Designer(java.lang.String path,
                    java.lang.String name,
                    java.lang.String subfix,
                    DesignerUserInfo user)
             throws ReadFailureException,
                    UniverseFileException

  Constructor. Creates a Designer object. If the catalog file is not existed, a default catalog is created.

  Parameters:
    `path` - path of catalog file.
    `name` - name of catalog file.
    `subfix` - indicate the subfix of catalog file.
    `user` - user information.
  Throws:
    `ReadFailureException`
    `UniverseFileException`
  Since:
    version 6.1.

Method Detail

### setUserInfo

    public void setUserInfo(java.lang.String uid,
                            java.lang.String key)

  Deprecated. since version 6.1.

  Set user infomation.

  Parameters:
    `uid` - the UserID of JReport runtime
    `key` - the key of JReport runtime

### getUID

    public java.lang.String getUID()

  Gets the UserID of JReport runtime. Applied from Version 4.5

### getKey

    public java.lang.String getKey()

  Gets the key of JReport runtime. Applied from Version 4.5

### getUserID

    public java.lang.String getUserID()

  Gets user ID of the designer API

  Returns:
    userID String

### getCatalogAPI

    public CatalogAPI getCatalogAPI()

  Gets catalog design api.

  Returns:
    a reference of CatalogAPI. If fails, a null value will be returned, you can use getError() to check the error message.

### exitAndSave

    public void exitAndSave()

  Exits editing status. Releases all the resources, closes catalog and all reports. If have FMLFileException when save the cat file, still save the catalog without parse formula

### exit

    public void exit()

  Exits editing status. Releases all the resources, closes catalog and all reports.

### quit

    public boolean quit()

  Quits editing status. Releases all the resources, quits catalog and reportset.

  Returns:
    false if fails to close areportset. Otherwise returns true.

### create

    public java.lang.String create(java.lang.String name,
                                   java.lang.String query)

  Deprecated. since version 8.0

  Creates a new report with report name.

  Parameters:
    `name` - name of the report to be created.
    `query` - name of query.
  Returns:
    handle of the new created report. If fails, a null value will be returned, you can use getError() to check the error message.

### create

    public java.lang.String create(java.lang.String name,
                                   java.lang.String sourceName,
                                   java.lang.String query)

  Deprecated. since version 8.0

  Creates a new report with report name.

  Parameters:
    `name` - name of the report to be created.
    `sourceName` - name of the data source.
    `query` - name of query.
  Returns:
    handle of the new created report. If fails, a null value will be returned, you can use getError() to check the error message.

### deleteReport

    public boolean deleteReport(java.lang.String name)

  Deprecated. since version 8.0

  Delete an report filewith report name.

  Parameters:
    `name` - name of existing report to be deleted.
  Returns:
    true if report is successfully removed. Otherwise return false.

### open

    public java.lang.String open(java.lang.String name)

  Opens a report panel with report name.

  Parameters:
    `name` - name of existing report to be opened.
  Returns:
    handle of the opened report. If fails to open the report a null value will be returned. You can use getError() to check the error message.

### hasPageSecurity

    public boolean hasPageSecurity(java.lang.String handle)

  To get the status that whether the report has a page level security

  Parameters:
    `handle` - the handle of the report panel
  Returns:
    true if the report had set page level security, otherwise return false;

### close

    public boolean close(java.lang.String handle)

  Closes an opened report panel with report handle. The report panel will be converted to reportset and all change of report will be saved. All resource of report will be released.

  Parameters:
    `handle` - handle of the opened report.
  Returns:
    false if fails to close the opened report. Otherwise returns true.

### closeReportSet

    public boolean closeReportSet()

  Closes the current reportset and save the changes.

  Returns:
    false if fails to close the opened reportset. Otherwise returns true.

### quit

    public boolean quit(java.lang.String handle)

  Quits an opened report with report handle without any change be saved.

  Parameters:
    `handle` - handle of the opened report.
  Returns:
    false if fails to quit an opened report. Otherwise returns true.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   int type,
                                   java.lang.String name)

  Inserts an object into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `type` - object type to be inserted.
    `name` - instance name of the new object.
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   java.lang.String UDOname)

  Inserts a UDO object into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new object.
    `UDOname` - UDO name.
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   int type,
                                   java.lang.String name,
                                   java.lang.String mapping)

  Inserts an object of database field, parameter, formula , summary or group into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `type` - class type to be inserted.
    `name` - instance name of the new object.
    `mapping` - mapping name of the database field, parameter, formula or summary.
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.

### insertColumn

    public java.lang.String insertColumn(java.lang.String parent,
                                         int type,
                                         java.lang.String name,
                                         java.lang.String mapping,
                                         int index)

  Deprecated. since version 8.0

  Insert column in to a table

  Parameters:
    `parent` - the table handle
    `type` - the inserted field type
    `name` - the inserted object's name
    `mapping` - the inserted field's resourcename
    `index` - the column index
  Returns:
    handle string of inserted column

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   CTRowColFieldInfo[] colInfo,
                                   CTRowColFieldInfo[] rowInfo,
                                   CTAggFieldInfo[] aggInfo)

  Deprecated. since version 8.0

  Inserts a crosstab object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new object.
    `colInfo` - field info array of column. The value of index of colInfo[n] is ignored.
    `rowInfo` - field info array of row. The value of index of rowInfo[n] is ignored.
    `aggInfo` - field info array of aggregate. The value of index of aggInfo[n] is ignored.
  Returns:
    handle of the new inserted crosstab. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   boolean avoid,
                                   boolean onleft,
                                   boolean ontop,
                                   boolean repeat,
                                   boolean vertical,
                                   int boundary,
                                   CTRowColFieldInfo[] colInfo,
                                   CTRowColFieldInfo[] rowInfo,
                                   CTAggFieldInfo[] aggInfo)

  Deprecated. since version 8.0

  Inserts a crosstab object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new object.
    `avoid` - keep columns together when page break.
    `onleft` - display aggregate calculation of row on left of crosstab
    `ontop` - display aggregate calculation of column on top of crosstab
    `repeat` - repeat column title when page break
    `vertical` - set aggregate calculations layout vertically
    `boundary` - set number of aggregate calculations in a row or column.
    `colInfo` - field info array of column. The value of index of colInfo[n] is ignored.
    `rowInfo` - field info array of row. The value of index of rowInfo[n] is ignored.
    `aggInfo` - field info array of aggregate. The value of index of aggInfo[n] is ignored.
  Returns:
    handle of the new inserted crosstab. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   CTRowColFieldInfo colInfo,
                                   CTRowColFieldInfo rowInfo,
                                   CTAggFieldInfo aggInfo)

  Deprecated. since version 8.0

  Inserts the crosstab children into the crosstab.

  Parameters:
    `parent` - handle of the crosstab node.
    `colInfo` - field info array of Column. The value of index of colInfo indicates the position at Column. If value of index is less than zero or larger than column size, the new column will be added in the end.
    `rowInfo` - field info array of Row. The value of index of rowInfo indicates the position at Row. If value of index is less than zero or larger than row size, the new row will be added in the end.
    `aggInfo` - field info array of Aggregate. The value of index of aggInfo indicates the position at a cell. If value of index is less than zero or larger than aggregate size, the new aggregate will be added in the end.
  Returns:
    handle of the crosstab. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   java.lang.String paperName,
                                   int type,
                                   java.lang.String group1,
                                   java.lang.String group2,
                                   java.lang.String value,
                                   ChartLegendInfo chartLegendInfo,
                                   ChartLabelInfo chartLabelInfo)

  Deprecated. since version 8.0

  Inserts a chart object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new chart.
    `paperName` - the instance name of ChartCoordinatepaper object
    `type` - type of the chart to be inserted
    `group1` - mapping name of the first group.
    `group2` - mapping name of the second group. It can be null.
    `value` - mapping name of summary.
    `chartLegendInfo` - field info array of the chart legend.
    `chartLabelInfo` - field info array of the chart title and notes.
  Returns:
    handle of the newly inserted chart. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   int type,
                                   boolean isGroup,
                                   java.lang.String group1,
                                   java.lang.String group2,
                                   java.lang.String[] value)

  Inserts a chart object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new chart.
    `type` - type of the chart to be inserted
    `isGroup` - group level data or record level data.
    `group1` - mapping name of the first group.
    `group2` - mapping name of the second group. It can be null.
    `value` - mapping names of summary.
  Returns:
    handle of the newly inserted chart. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   ChartLegendInfo chartLegendInfo,
                                   java.lang.String paperName)

  Inserts a chart object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `chartLegendInfo` - field info array of the chart legend.
  Returns:
    handle of the chart. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   java.lang.String paperName,
                                   int type,
                                   boolean isGroup,
                                   java.lang.String group1,
                                   java.lang.String group2,
                                   java.lang.String[] value,
                                   ChartLegendInfo chartLegendInfo,
                                   ChartLabelInfo chartLabelInfo)

  Inserts a chart object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new chart.
    `paperName` - the instance name of ChartCoordinatepaper object
    `type` - type of the chart to be inserted
    `isGroup` - group level data or record level data.
    `group1` - mapping name of the first group.
    `group2` - mapping name of the second group. It can be null.
    `value` - mapping names of summary.
    `chartLegendInfo` - field info array of the chart legend.
    `chartLabelInfo` - field info array of the chart title and notes.
  Returns:
    handle of the new inserted chart. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   java.lang.String paperName,
                                   int type1,
                                   int type2,
                                   boolean isGroup,
                                   java.lang.String group1,
                                   java.lang.String group2,
                                   java.lang.String[] value,
                                   ChartLegendInfo chartLegendInfo,
                                   ChartLabelInfo chartLabelInfo)

  Inserts a combo chart object and its children into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new chart.
    `paperName` - the instance name of ChartCoordinatepaper object
    `type1` - type1 of the combo chart to be inserted
    `type2` - type2 of the combo chart to be inserted
    `isGroup` - group level data or record level data.
    `group1` - mapping name of the first group.
    `group2` - mapping name of the second group. It can be null.
    `value` - mapping names of summary.
    `chartLegendInfo` - field info array of the chart legend.
    `chartLabelInfo` - field info array of the chart title and notes.
  Returns:
    handle of the new inserted chart. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   int type,
                                   java.lang.String name,
                                   java.lang.String topSection,
                                   java.lang.String bottomSection)

  Inserts a shape object such as box, line, arc, or oval into report.

  Parameters:
    `parent` - handle of the parent node.
    `name` - the instance name of new shape.
    `type` - the type of shape
    `topSection` - the handle of top section attached to the shape.
    `bottomSection` - the handle of bottom section attached to the shape.
  Returns:
    handle of the new shape. If it fails to operate, a null value is returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   int type,
                                   java.lang.String name,
                                   GroupInfo groupInfo,
                                   SpecGroupInfo specGroupInfo)

  Deprecated. Replaced by method insert(String parent, String name, GroupInfo groupInfo). Inserts a group/sort into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `type` - class type to be inserted.
    `name` - instance name of the new object.
    `groupInfo` - information of group
    `specGroupInfo` - information of specified group if need
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parent,
                                   java.lang.String name,
                                   GroupInfo groupInfo)

  Deprecated. since version 8.0

  Inserts a group/sort into the parent node.

  Parameters:
    `parent` - handle of the parent node.
    `name` - instance name of the new object.
    `groupInfo` - information of group
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.

### setPageWidth

    public void setPageWidth(double width)

  set width of page

  Parameters:
    `width` - page width value

### setSortInfo

    public void setSortInfo(java.lang.String handle,
                            SortInfo[] sortInfo)

  Set sort information of specified group

  Parameters:
    `handle` - Group handle
    `sortInfo` - Sort information array of this group

### set

    public boolean set(java.lang.String handle,
                       java.lang.String name,
                       int value)

  Changes property value of an object.

  Overrides:
    `set` in class `API`
  Parameters:
    `handle` - handle of the target object.
    `name` - property name.
    `value` - property value.
  Returns:
    true if the property value is changed.

### setReportSortInfo

    public void setReportSortInfo(java.lang.String handle,
                                  ReportSortInfo sortInfo)

  Set sort information of whole report

  Parameters:
    `handle` - report handle
    `sortInfo` - report Sort information of this report

### getSortInfo

    public SortInfo[] getSortInfo(java.lang.String handle)

  get sort information of group or report

  Parameters:
    `handle` - report/group handle
  Returns:
    SortInfo array

### getReportSortInfo

    public ReportSortInfo getReportSortInfo(java.lang.String handle)

  get report sort information of report

  Parameters:
    `handle` - report handle
  Returns:
    ReportSortInfo

### getGroupInfo

    public GroupInfo[] getGroupInfo(java.lang.String handle)

  get group information of report

  Parameters:
    `handle` - report handle
  Returns:
    groupInfo array

### delete

    public boolean delete(java.lang.String handle)

  Deletes an object from its parent node.

  Specified by:
    `delete` in class `API`
  Parameters:
    `handle` - handle of the object to be deleted.
  Returns:
    true if an object is removed from its parent node. Otherwise returns false.

### canDeleted

    public boolean canDeleted(java.lang.String handle)

  check whether the instance can be deleted

  Parameters:
    `handle` - instance handle

### getControlField

    public java.lang.String getControlField(java.lang.String handle,
                                            java.lang.String name)

  Gets field that can control property value at runtime.

  Parameters:
    `handle` - handle of the selected object.
    `name` - name of property.
  Returns:
    field name. It will return null if an error occurs.

### getControlFields

    public java.lang.String[] getControlFields(java.lang.String handle,
                                               java.lang.String name)

  Gets fields that can control property value at runtime.

  Parameters:
    `handle` - handle of the selected object.
    `name` - name of property.
  Returns:
    field name array. It will return null if an error occurs.

### setControlFields

    public boolean setControlFields(java.lang.String handle,
                                    java.lang.String prop,
                                    java.lang.String field)

  Sets field to control property value at runtime.

  Parameters:
    `handle` - handle of the selected object.
    `prop` - property name.
    `field` - field name.
  Returns:
    true if succeeds. Otherwise returns false.

### getDBFields

    public java.lang.String[] getDBFields(java.lang.String handle)

  Gets DBFields that can be used in the report.

  Parameters:
    `handle` - report node .
  Returns:
    mapping name arrray.

### getGroups

    public java.lang.String[] getGroups(java.lang.String handle)

  Gets handles of groups in a report.

  Parameters:
    `handle` - a report handle.
  Returns:
    the handles of groups.

### getGeometries

    public java.lang.String[] getGeometries(java.lang.String handle)

  Gets handles of geometry object in a report.

  Parameters:
    `handle` - a report handle.
  Returns:
    the handles of geometry objects.

### getGeometries

    public java.lang.String[] getGeometries(java.lang.String handle,
                                            boolean visible)

  Gets handles of geometry object in a report.

  Parameters:
    `handle` - a report handle.
    `visible` - get the visible geometry or not.
  Returns:
    the handles of geometry objects.

### getSections

    public java.lang.String[] getSections(java.lang.String handle)

  Gets handles of sections in a report.

  Parameters:
    `handle` - a report handle.
  Returns:
    the handles of sections.

### getSections

    public java.lang.String[] getSections(java.lang.String handle,
                                          boolean visible)

  Gets handles of sections in a report.

  Parameters:
    `handle` - a report handle.
    `visible` - get the visible sections or not.
  Returns:
    the handles of sections.

### getSections

    public java.lang.String[] getSections(java.lang.String handle,
                                          boolean visible,
                                          int type)

  Gets handles of sections in a report.

  Parameters:
    `handle` - a report handle.
    `visible` - get the visible sections or not.
    `type` - the section type
  Returns:
    the handles of sections.

### getQueryName

    public java.lang.String getQueryName(java.lang.String handle)

  Gets query name of a report.

  Parameters:
    `handle` - a report handle.
  Returns:
    the name of query that report is using.

### getFormulae

    public java.lang.String[] getFormulae(java.lang.String handle)

  Gets formulae that can be used in the report.

  Parameters:
    `handle` - report node.
  Returns:
    mapping name arrray.

### getSummaries

    public java.lang.String[] getSummaries(java.lang.String handle)

  Gets summaries that can be used in the report.

  Parameters:
    `handle` - report node.
  Returns:
    mapping name array.

### getParameter

    public java.lang.String[] getParameter()

  Gets parameters in the catalog.

  Returns:
    mapping name array.

### getQueries

    public java.lang.String[] getQueries()

  Gets queries in the catalog.

  Returns:
    mapping name array.

### getQueries

    public java.lang.String[] getQueries(java.lang.String sourceName)

  Gets queries in the catalog.

  Returns:
    mapping name array.

### getSQLs

    public java.lang.String[] getSQLs(java.lang.String sourceName)

  Gets SQLs in the catalog.

  Returns:
    mapping name array.

### getSQLs

    public java.lang.String[] getSQLs()

  Gets SQLs in the catalog.

  Returns:
    mapping name array.

### getUDS

    public java.lang.String[] getUDS()

  Gets UDSs in the catalog.

  Returns:
    mapping name array.

### getUDS

    public java.lang.String[] getUDS(java.lang.String sourceName)

  Gets UDSs in the catalog.

  Returns:
    mapping name array.

### getViews

    public java.lang.String[] getViews()

  Gets VIEWs in the catalog.

  Returns:
    mapping name array.

### getProcedures

    public java.lang.String[] getProcedures(java.lang.String sourceName)

  Gets procedures in the catalog.

  Returns:
    mapping name array.

### getProcedures

    public java.lang.String[] getProcedures()

  Gets procedures in the catalog.

  Returns:
    mapping name array.

### saveSelfReport

    public boolean saveSelfReport(java.lang.String path,
                                  java.lang.String name,
                                  java.lang.String newName)
                           throws java.io.IOException,
                                  WriteFailureException,
                                  FMLFileException,
                                  ReadFailureException,
                                  UniverseFileException

  Deprecated. since version 8.0

  save the report as a self-contained report

  Parameters:
    `path` - the path of the report will be saved to
    `name` - the catalog name of the report will be saved to
    `newName` - new report name
  Throws:
    `java.io.IOException`
    `WriteFailureException`
    `FMLFileException`
    `ReadFailureException`
    `UniverseFileException`

### saveAs

    public java.lang.String saveAs(java.lang.String handle,
                                   java.lang.String newname)

  Saves an opened report as new report file.

  Parameters:
    `handle` - handle of the opened report.
    `newname` - the file name of new report file.
  Returns:
    String value of new report name including subfix

### getObjectType

    public int getObjectType(java.lang.String handle)

  get the type of object

  Parameters:
    `handle` - object handle
  Returns:
    int value of object type

### getFormats

    public java.lang.String[] getFormats(java.lang.String handle)

  get the default format list of object

  Parameters:
    `handle` - object handle
  Returns:
    String array of formats

### getObjectInfo

    public ObjectInfo getObjectInfo(java.lang.String handle)

  get object information in report

  Parameters:
    `handle` - handle of the entity
  Returns:
    ObjectInfo object which contains property names and values of the entity.

### getChangedByFields

    public java.lang.String[] getChangedByFields(java.lang.String handle,
                                                 java.lang.String propertyName)

  get formulae or fields which can control the property value

  Parameters:
    `handle` - handle of the entity
    `propertyName` - name of the property
  Returns:
    name array of formulae and fields.

### getMinSectionHeight

    public float getMinSectionHeight(java.lang.String handle)

  get the minimum height value of section.

  Parameters:
    `handle` - handle of the section
  Returns:
    section's minimum height.

### getParent

    public java.lang.String getParent(java.lang.String handle)

  get the container(parent) of object by handle

  Overrides:
    `getParent` in class `API`
  Parameters:
    `handle` - handle of object
  Returns:
    handle of parent

### getChartLabel

    public ChartLabelInfo getChartLabel(java.lang.String handle)

  get label informations in a chart

  Parameters:
    `handle` - handle of chart
  Returns:
    ChartLabelInfo

### createReportSet

    public java.lang.String createReportSet(java.lang.String name)
                                     throws DesignerErrorException

  Creates a new reportset with name

  Parameters:
    `name` - indicate the reportset name.
  Returns:
    reportset handle
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### addReport

    public java.lang.String addReport(java.lang.String reportsetHandle,
                                      java.lang.String name)
                               throws DesignerErrorException

  Creates a report in report set

  Parameters:
    `name` - report panel name
  Returns:
    report panel handle
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### addDataset

    public java.lang.String addDataset(java.lang.String reportsetHandle,
                                       java.lang.String datasourceName,
                                       java.lang.String queryName,
                                       java.lang.String name,
                                       java.lang.String BVName,
                                       int datasetType)
                                throws DesignerErrorException

  Creates a dataset in report set

  Parameters:
    `reportsetHandle` - handler string of reportset
    `datasourceName` - datasource name
    `queryName` - query name
    `name` - dataset name
    `BVName` - business view object name
  Returns:
    dataset handle
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setDataset

    public boolean setDataset(java.lang.String objHandle,
                              java.lang.String datasetHandle)
                       throws DesignerErrorException

  Applys a dataset to report Object

  Parameters:
    `objHandle` - handler string of report object
    `datasetHandle` - handler string of report objec
  Returns:
    dataset handle
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setDatasetBLFilter

    public boolean setDatasetBLFilter(java.lang.String datasetHandle,
                                      BLFilterInformation filterInfo)
                               throws DesignerErrorException

  Applys a JReport businees logic filter to dataset

  Parameters:
    `objHandle` - handler string of report object
    `datasetHandle` - handler string of report objec
  Returns:
    dataset handle
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### getDatasetBLFilter

    public BLFilterInformation getDatasetBLFilter(java.lang.String datasetHandle)
                                           throws DesignerErrorException

  Gets a JReport businees logic filter

  Parameters:
    `objHandle` - handler string of report object
    `datasetHandle` - handler string of report objec
  Returns:
    JReport businees logic filter information
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteReport

    public boolean deleteReport(java.lang.String rptsetHandle,
                                java.lang.String name)
                         throws DesignerErrorException

  Delete a report from reportset.

  Parameters:
    `name` - name of report to be deleted.
    `rptsetHandle` - the handle of report set
  Returns:
    true report is successful removed. Otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### getCatalogName

    public java.lang.String getCatalogName()

  get catalog name.

  Returns:
    catalog name.
  Since:
    JReport version 8

### insertTable

    public java.lang.String insertTable(java.lang.String parent,
                                        TableTemplateInfo info)
                                 throws DesignerErrorException

  Inserts a new style table into report

  Parameters:
    `parent` - the handle of object that the table to be inserted.
    `info` - new style table information.
  Returns:
    table handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### getTableWidth

    public double getTableWidth(java.lang.String parent,
                                TableTemplateInfo info)

  Gets prefered table width according to specified TableTemplateInfo.

  Parameters:
    `parent` - the handle of object that the table to be inserted.
    `info` - new style table information.
  Returns:
    table width value in defined unit.
  Since:
    JReport version 8.2

### insertTable

    public java.lang.String insertTable(java.lang.String parent,
                                        TableTemplateInfo info,
                                        boolean increasePanel)
                                 throws DesignerErrorException

  Inserts a new style table into report

  Parameters:
    `parent` - the handle of object that the table to be inserted.
    `info` - new style table information.
    `increasePanel` - indicate whether to increase the panel width when the table out of panel bound. It will also change page width if necessary.
  Returns:
    table handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertTableColumn

    public java.lang.String insertTableColumn(java.lang.String table,
                                              int index,
                                              int direction)
                                       throws DesignerErrorException

  Inserts a column into new style table

  Parameters:
    `table` - the handle of table that the column to be inserted.
    `index` - inert column at the specified index .
    `direction` - specify the inserting direction according to index
  Returns:
    table column handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertTableColumn

    public java.lang.String insertTableColumn(java.lang.String table,
                                              int index,
                                              int direction,
                                              java.lang.String fieldName,
                                              java.lang.String title,
                                              boolean increaseTable,
                                              boolean auotResetPage)
                                       throws DesignerErrorException

  Inserts a column with fields into new style table

  Parameters:
    `table` - the handle of table that the column to be inserted.
    `index` - inert column at the specified index .
    `index` - inert column at the specified index .
    `fieldName` - the fields name that be inserted in to table detail panel
    `title` - the attached fields title that be inserted in to table
    `increasetable` - indicate whether to increase the table when insert new column.
    `auotResetPage` - indicate whether to resize the page when the table out of panel bound.
  Returns:
    table column handle.
  Throws:
    `DesignerErrorException`

### deleteTableColumns

    public boolean deleteTableColumns(java.lang.String table,
                                      int[] index)
                               throws DesignerErrorException

  deletes columns from new style table

  Parameters:
    `table` - the handle of table.
    `index` - indicates columns' index to be deleted.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### moveTableColumns

    public boolean moveTableColumns(java.lang.String table,
                                    int[] index,
                                    int step,
                                    int direction)
                             throws DesignerErrorException

  move table columns

  Parameters:
    `table` - the handle of table.
    `index` - indicates columns' index to be moved.
    `step` - the step of moving action.
    `direction` - the direction of moving action.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### mergeTableCells

    public boolean mergeTableCells(java.lang.String table,
                                   java.lang.String[] cellsid)
                            throws DesignerErrorException

  Merge table cells into one cell

  Parameters:
    `table` - the handle of table.
    `cellsid` - indicates cells' handle to be merged.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### canMergeTableCell

    public boolean canMergeTableCell(java.lang.String table,
                                     java.lang.String[] cellHandles)

  Check whether the cells can be merged or not

  Parameters:
    `table` - the handle of table.
    `cellHandles` - indicates cells' handle to be merged.
  Returns:
    return true if the cells can be merged, otherwise return false.
  Since:
    JReport version 8

### canMergeTabularCell

    public boolean canMergeTabularCell(java.lang.String tabular,
                                       java.lang.String[] cellHandles)

  Check whether the cells can be merged or not

  Parameters:
    `tabular` - the handle of tabular.
    `cellHandles` - indicates cells' handle to be merged.
  Returns:
    return true if the cells can be merged, otherwise return false.
  Since:
    JReport version 8

### hideTableColumn

    public boolean hideTableColumn(java.lang.String table,
                                   int index)
                            throws DesignerErrorException

  hides a table column

  Parameters:
    `table` - the handle of table.
    `index` - column Index.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### resizeTable

    public boolean resizeTable(java.lang.String table,
                               int refPoint,
                               double xPercentage,
                               double yPercentage,
                               boolean increasePanel)
                        throws DesignerErrorException

  resize the table with specified rate

  Parameters:
    `table` - the handle of table
    `refPoint` - the refer point.
    `xPercentage` - percentage value of X axial.
    `yPercentage` - percentage value of Y axial
    `increasePanel` - indicate whether to increase the panel when the table out of panel bound.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setTableColumnWidth

    public boolean setTableColumnWidth(java.lang.String table,
                                       int index,
                                       double increment,
                                       boolean increaseTable,
                                       boolean increasePanel)
                                throws DesignerErrorException

  reset the table column width

  Parameters:
    `table` - the handle of table
    `index` - column index.
    `increment` - indicate the changed value.
    `increaseTable` - indicate whether to increase the table when change column width.
    `increasePanel` - indicate whether to increase the panel when the table out of panel bound.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### pivotTable

    public boolean pivotTable(java.lang.String table,
                              int colIndex1,
                              int colIndex2)
                       throws DesignerErrorException

  pivots the table

  Parameters:
    `table` - the handle of table.
    `colIndex1` - column index to be pivot.
    `colIndex2` - column index to be pivot.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertTableGroup

    public java.lang.String insertTableGroup(java.lang.String table,
                                             java.lang.String parentGroup,
                                             java.lang.String mapping,
                                             java.lang.String blName)
                                      throws DesignerErrorException

  insets group into the table

  Parameters:
    `table` - the handle of table.
    `parentGroup` - the group handle which the new group will be inserted in.
    `mapping` - the group by field name.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### removeTableGroup

    public java.lang.String removeTableGroup(java.lang.String table,
                                             java.lang.String group)
                                      throws DesignerErrorException

  remove group from the table

  Parameters:
    `table` - the handle of table.
    `group` - the removed group handle.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertCrossTab

    public java.lang.String insertCrossTab(java.lang.String parent,
                                           CrossTabInfo info)
                                    throws DesignerErrorException

  Inserts a crosstab into report

  Parameters:
    `parent` - the handle of object that the table to be inserted.
    `info` - crosstab information.
    `index` - inert CrossTab at the specified index .
  Returns:
    crosstab handle when it is successful, otherwise return null.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertCrossTabColumns

    public java.lang.String insertCrossTabColumns(java.lang.String crossTab,
                                                  CTRowColFieldInfo[] infos,
                                                  int index)
                                           throws DesignerErrorException

  Inserts columns into crosstab

  Parameters:
    `crossTab` - the handle of crossTab.
    `infos` - crosstab column information
    `index` - inert column at the specified index .
  Returns:
    crosstab handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertCrossTabRows

    public java.lang.String insertCrossTabRows(java.lang.String crossTab,
                                               CTRowColFieldInfo[] infos,
                                               int index)
                                        throws DesignerErrorException

  Inserts rows into crosstab

  Parameters:
    `crossTab` - the handle of crossTab.
    `infos` - crosstab row information
    `index` - inert row at the specified index .
  Returns:
    crosstab handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertCrossTabAggregations

    public java.lang.String insertCrossTabAggregations(java.lang.String crossTab,
                                                       CTAggFieldInfo[] infos,
                                                       int index)
                                                throws DesignerErrorException

  Inserts aggregations into crosstab

  Parameters:
    `crossTab` - the handle of crossTab.
    `infos` - crosstab aggregation information
    `index` - inert aggregations at the specified index .
  Returns:
    crosstab handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### moveCrossTabAggregations

    public java.lang.String moveCrossTabAggregations(java.lang.String crossTab,
                                                     int[] orignalIndex,
                                                     int desIndex)
                                              throws DesignerErrorException

  move crosstab aggregations

  Parameters:
    `crossTab` - the handle of crossTab.
    `orignalIndex` - indicates the column index to be moved
    `desIndex` - move the aggregations to the target index .
  Returns:
    crosstab handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### moveCrossTabRows

    public java.lang.String moveCrossTabRows(java.lang.String crossTab,
                                             int[] orignalIndex,
                                             int desIndex)
                                      throws DesignerErrorException

  move crosstab rows

  Parameters:
    `crossTab` - the handle of crossTab.
    `orignalIndex` - indicates the row index to be moved
    `desIndex` - move the rows to the target index .
  Returns:
    crosstab handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### moveCrossTabColumns

    public java.lang.String moveCrossTabColumns(java.lang.String crossTab,
                                                int[] orignalIndex,
                                                int desIndex)
                                         throws DesignerErrorException

  move crosstab columns

  Parameters:
    `crossTab` - the handle of crossTab.
    `orignalIndex` - indicates the row index to be moved
    `desIndex` - move the rows to to the target index .
  Returns:
    crosstab handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteCrossTabColumns

    public boolean deleteCrossTabColumns(java.lang.String crossTab,
                                         int[] index)
                                  throws DesignerErrorException

  delete crosstab columns

  Parameters:
    `crossTab` - the handle of crossTab.
    `index` - indicates the columns index to be removed
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteCrossTabRows

    public boolean deleteCrossTabRows(java.lang.String crossTab,
                                      int[] index)
                               throws DesignerErrorException

  delete crosstab rows

  Parameters:
    `crossTab` - the handle of crossTab.
    `index` - indicates the rows index to be removed
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteCrossTabAggregations

    public boolean deleteCrossTabAggregations(java.lang.String crossTab,
                                              int[] index)
                                       throws DesignerErrorException

  delete crosstab aggregations

  Parameters:
    `crossTab` - the handle of crossTab.
    `index` - indicates the aggregations index to be removed
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setCTColHeaderHeight

    public boolean setCTColHeaderHeight(java.lang.String crossTab,
                                        int index,
                                        double height)
                                 throws DesignerErrorException

  set crosstab column header height

  Parameters:
    `crossTab` - the handle of crossTab.
    `index` - indicates the column index to be set
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setCTRowHeaderWidth

    public boolean setCTRowHeaderWidth(java.lang.String crossTab,
                                       int index,
                                       double width)
                                throws DesignerErrorException

  set crosstab row header width

  Parameters:
    `crossTab` - the handle of crossTab.
    `index` - indicates the row index to be set
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setCTAggTitleHeight

    public boolean setCTAggTitleHeight(java.lang.String crossTab,
                                       int index,
                                       double height)
                                throws DesignerErrorException

  set crosstab aggregation title height

  Parameters:
    `crossTab` - the handle of crossTab.
    `index` - indicates the title index to be set
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setCTAggTitleWidth

    public boolean setCTAggTitleWidth(java.lang.String crossTab,
                                      int index,
                                      double width)
                               throws DesignerErrorException

  set crosstab aggregation title width

  Parameters:
    `crossTab` - the handle of crossTab.
    `index` - indicates the title index to be set
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setCTAggFieldHeight

    public boolean setCTAggFieldHeight(java.lang.String crossTab,
                                       int yDepth,
                                       int index,
                                       double height)
                                throws DesignerErrorException

  set crosstab aggregation height

  Parameters:
    `crossTab` - the handle of crossTab.
    `yDepth` - indicates the index of aggregation cell at y direction
    `index` - indicates the aggregation index in a crosstab cell
    `height` - aggregation field height value
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setCTAggFieldWidth

    public boolean setCTAggFieldWidth(java.lang.String crossTab,
                                      int xDepth,
                                      int index,
                                      double width)
                               throws DesignerErrorException

  set crosstab aggregation field width

  Parameters:
    `crossTab` - the handle of crossTab.
    `xDepth` - indicates the index of aggregation cell at x direction
    `index` - indicates the aggregation index in a crosstab cell
    `width` - aggregation field width value
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### pivotCrossTab

    public boolean pivotCrossTab(java.lang.String crossTab)
                          throws DesignerErrorException

  pivot the crosstab

  Parameters:
    `crossTab` - the handle of crossTab.
  Returns:
    return true if success, else return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertTabular

    public java.lang.String insertTabular(java.lang.String parent,
                                          java.lang.String tabularName,
                                          int colVol,
                                          int rowVol)
                                   throws DesignerErrorException

  Inserts a new tabular object into report

  Parameters:
    `parent` - the handle of object that the tabular to be inserted.
    `tabularName` - tabular object instance name.
    `colVol` - column volume of tabular
    `rowVol` - row volume of tabular .
  Returns:
    tabular handle when it is successful, otherwise return null.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### resizeTabular

    public boolean resizeTabular(java.lang.String tabular,
                                 int refPoint,
                                 double xPercentage,
                                 double yPercentage,
                                 boolean increasePanel)
                          throws DesignerErrorException

  resize the tabular object with specified rate

  Parameters:
    `tabular` - the handle of tabular
    `refPoint` - the refer point.
    `xPercentage` - percentage value of X axial.
    `yPercentage` - percentage value of Y axial
    `increasePanel` - indicate whether to increase the panel when the tabular out of panel bound.
  Returns:
    return true if success, otherwise return false.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### appendTabularColumn

    public boolean appendTabularColumn(java.lang.String tabular)
                                throws DesignerErrorException

  append a tabular column object.

  Parameters:
    `tabular` - the handle of tabular.
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### appendTabularRow

    public boolean appendTabularRow(java.lang.String tabular)
                             throws DesignerErrorException

  append a tabular row object

  Parameters:
    `tabular` - the handle of tabular.
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### changeTabularWidth

    public boolean changeTabularWidth(java.lang.String tabular,
                                      double dispersion)
                               throws DesignerErrorException

  Modify a tabular object width

  Parameters:
    `tabular` - the handle of tabular.
    `dispersion` - set the changed dispersion.
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### changeTabularHeight

    public boolean changeTabularHeight(java.lang.String tabular,
                                       double dispersion)
                                throws DesignerErrorException

  Modify a tabular object height

  Parameters:
    `tabular` - the handle of tabular.
    `dispersion` - set the changed dispersion.
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### changeTabularCellWidth

    public boolean changeTabularCellWidth(java.lang.String tabular,
                                          java.lang.String cellHandle,
                                          double dispersion)
                                   throws DesignerErrorException

  Modify a tabular cell object width

  Parameters:
    `tabular` - the handle of tabular.
    `cellHandle` - indicate the cell handle to be changed.
    `dispersion` - set the changed dispersion.
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### changeTabularCellHeight

    public boolean changeTabularCellHeight(java.lang.String tabular,
                                           java.lang.String cellHandle,
                                           double dispersion)
                                    throws DesignerErrorException

  Modify a tabular cell object height

  Parameters:
    `tabular` - the handle of tabular.
    `cellHandle` - indicate the cell handle to be changed.
    `dispersion` - set the changed dispersion.
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteTabularColumn

    public boolean deleteTabularColumn(java.lang.String tabular,
                                       java.lang.String cellHandle)

  delete a tabular column from tabular

  Parameters:
    `tabular` - the handle of tabular.
    `cellHandle` - indicate the cell handle to be deleted.
  Returns:
    true if success, otherwise return false
  Since:
    JReport version 8

### deleteTabularRow

    public boolean deleteTabularRow(java.lang.String tabular,
                                    java.lang.String cellHandle)
                             throws DesignerErrorException

  delete a tabular row from tabular

  Parameters:
    `tabular` - the handle of tabular.
    `cellHandle` - indicate the cell handle to be deleted.
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### splitTabularCell

    public boolean splitTabularCell(java.lang.String tabular,
                                    java.lang.String cellHandle,
                                    int rowVol,
                                    int clmVol)
                             throws DesignerErrorException

  split a tabular cell into a m*n table

  Parameters:
    `tabular` - the handle of tabular.
    `cellHandle` - indicate the cell handle to be splited.
    `rowVol` - set the row number of cell
    `clmVol` - set the column number of cell.
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### mergeTabularCells

    public java.lang.String mergeTabularCells(java.lang.String tabular,
                                              java.lang.String[] cellsid)
                                       throws DesignerErrorException

  Merge tabular cells into one cell

  Parameters:
    `tabular` - the handle of tabular.
    `cellsid` - indicates cells' handle to be merged.
  Returns:
    merged cell handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### getTabularColumnCells

    public java.lang.String[] getTabularColumnCells(java.lang.String tabular,
                                                    int index)
                                             throws DesignerErrorException

  Get cell handles of specified tabular column

  Parameters:
    `tabular` - the handle of tabular object
    `index` - indicate tabular column .
  Returns:
    cell handles of the specified tabular column.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### getTabularRowCells

    public java.lang.String[] getTabularRowCells(java.lang.String tabular,
                                                 int index)
                                          throws DesignerErrorException

  Get cell handles of specified tabular row

  Parameters:
    `tabular` - the handle of tabular object
    `index` - indicate tabular row .
  Returns:
    cell handles of the specified tabular row.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### getTabularCell

    public java.lang.String getTabularCell(java.lang.String tabular,
                                           int rowIndex,
                                           int colIndex)
                                    throws DesignerErrorException

  Get cell handle of specified tabular row and column

  Parameters:
    `tabular` - the handle of tabular object
    `rowIndex` - indicate tabular row .
    `columnIndex` - indicate tabular column .
  Returns:
    cell handle of the specified tabular row and column.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertPage

    public java.lang.String insertPage(java.lang.String reportHandle)
                                throws DesignerErrorException

  insert a page object into report

  Parameters:
    `reportHandle` - the handle of the report.
  Returns:
    handle of the page object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deletePage

    public boolean deletePage(java.lang.String pageHandle)
                       throws DesignerErrorException

  delete a page object from report

  Parameters:
    `pageHandle` - the handle of page object
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertPageBreak

    public java.lang.String insertPageBreak(java.lang.String parent,
                                            java.lang.String referedHandle,
                                            boolean isinsertedBefore)
                                     throws DesignerErrorException

  insert a page break object into report

  Parameters:
    `parent` - handle of the parent container.
    `referedHandle` - indicate the refer object to insert the page breaker
    `isinsertedBefore` - indicate to insert the page breaker before the refered object or not
  Returns:
    handle of the page break object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertPageStartEnd

    public java.lang.String[] insertPageStartEnd(java.lang.String pageHandle,
                                                 java.lang.String parent,
                                                 int startIndex,
                                                 int endIndex)
                                          throws DesignerErrorException

  insert a page control object into report

  Parameters:
    `pageHandle` - the handle of the report page panel.
    `parent` - handle of the parent container.
    `startIndex` - indicate the object index to start a page
    `endIndex` - indicate the object index to end a page
  Returns:
    handles of the page start and page end objects. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deletePageController

    public boolean deletePageController(java.lang.String controllerHandle)
                                 throws DesignerErrorException

  delete a page controller object from report

  Parameters:
    `controllerHandle` - the handle of page controller object
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertBandedObject

    public java.lang.String insertBandedObject(java.lang.String parent,
                                               boolean withHeader,
                                               boolean withFooter,
                                               boolean withDetail)
                                        throws DesignerErrorException

  Inserts a banded object into report

  Parameters:
    `parent` - handle of the parent node.
    `withHeader` - indicate that inserting Banded object with header object
    `withFooter` - indicate that inserting Banded object with footer object
    `withDetail` - indicate that inserting Banded object with detail object
    `index` - indicate the index of object in the parent container
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteBandedObject

    public boolean deleteBandedObject(java.lang.String bandedObject)
                               throws DesignerErrorException

  delete a section-object from report

  Parameters:
    `bandedObject` - the handle of Banded Object
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertSectionGroup

    public java.lang.String insertSectionGroup(java.lang.String parent,
                                               GroupInfo groupInfo)
                                        throws DesignerErrorException

  insert a group object into report

  Parameters:
    `parent` - handle of the parent node.
    `groupInfo` - the group properties information
    `index` - indicate the index of object in the parent container
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteGroup

    public boolean deleteGroup(java.lang.String groupHandle,
                               boolean removeAllChildren)
                        throws DesignerErrorException

  delete a group object from report

  Parameters:
    `groupHandle` - the handle of group object
    `removeAllChildren` - indicate whether to remove the children of the group
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### getIndex

    public int getIndex(java.lang.String objHandle)

  gets the child index of its parent container

  Parameters:
    `objHandle` - handle of the object.
  Returns:
    index number of its parent
  Since:
    JReport version 8

### insertDetailPanel

    public java.lang.String insertDetailPanel(java.lang.String parent,
                                              java.lang.String referedHandle,
                                              boolean isinsertedBefore)
                                       throws DesignerErrorException

  insert a section object into report

  Parameters:
    `parent` - handle of the parent container.
    `referedHandle` - indicate the refered section in the parent container, it should present a detail panel
    `isinsertedBefore` - indicate to insert the section before the refered section or not
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteDetailPanel

    public boolean deleteDetailPanel(java.lang.String detailSection)
                              throws DesignerErrorException

  delete a detail section from report

  Parameters:
    `detailSection` - the handle of detail section
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertSectionHeaderPanel

    public java.lang.String insertSectionHeaderPanel(java.lang.String parent,
                                                     java.lang.String referedHandle,
                                                     boolean isinsertedBefore)
                                              throws DesignerErrorException

  insert a bandedobject header section object into report

  Parameters:
    `parent` - handle of the parent container.
    `referedHandle` - indicate the refered section in the parent container, it should present a header section panel
    `isinsertedBefore` - indicate to insert the section before the refered section or not
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteSectionHeaderPanel

    public boolean deleteSectionHeaderPanel(java.lang.String headerSection)
                                     throws DesignerErrorException

  delete a header section from report

  Parameters:
    `headerSection` - the handle of header section
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertSectionFooterPanel

    public java.lang.String insertSectionFooterPanel(java.lang.String parent,
                                                     java.lang.String referedHandle,
                                                     boolean isinsertedBefore)
                                              throws DesignerErrorException

  insert a bandedobject section footer into report

  Parameters:
    `parent` - handle of the parent container.
    `referedHandle` - indicate the refered section in the parent container, it should present a footer section panel
    `isinsertedBefore` - indicate to insert the section before the refered section or not
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertSectionPanel

    public java.lang.String insertSectionPanel(java.lang.String parent,
                                               java.lang.String referedHandle,
                                               int sectionType,
                                               boolean isinsertedBefore)
                                        throws DesignerErrorException

  insert a bandedobject section into report

  Parameters:
    `parent` - handle of the parent container.
    `referedHandle` - indicate the refered section in the parent container, it should present a footer section panel
    `sectionType` - indicate section type inserted in banded object
    `isinsertedBefore` - indicate to insert the section before the refered section or not
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### deleteSectionFooterPanel

    public boolean deleteSectionFooterPanel(java.lang.String footerSection)
                                     throws DesignerErrorException

  delete a footer section from report

  Parameters:
    `footerSection` - the handle of footerSection section
  Returns:
    true if success, otherwise return false
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertField

    public java.lang.String insertField(java.lang.String parent,
                                        java.lang.String mapping,
                                        java.lang.String blName,
                                        int fieldType,
                                        int renderType)
                                 throws DesignerErrorException

  insert a field object into report

  Parameters:
    `parent` - handle of the parent node.
    `mapping` - the mapping name of the inserted field
    `blName` - the businessLogic field name of the inserted field
    `fieldType` - the int value of field type
    `renderType` - the int value of field render type
    `index` - indicate the index of field in the parent container
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertShape

    public java.lang.String insertShape(java.lang.String parent,
                                        Shape shape)
                                 throws DesignerErrorException

  insert a geometry object into report

  Parameters:
    `parent` - handle of the parent node.
    `info` - the shape properties of the inserted object
  Returns:
    handle of the new inserted object. If fails, a null value will be returned.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setReporthome

    public void setReporthome(java.lang.String reporthome)

  set the install root of application

  Parameters:
    `reporthome` - install root string
  Since:
    JReport version 8

### getReporthome

    public java.lang.String getReporthome()

  Gets the install root of application

  Returns:
    install root string
  Since:
    JReport version 8

### bindDataSet

    public boolean bindDataSet(java.lang.String handle,
                               java.lang.String datasetName)

  bind a data set into a data container object

  Parameters:
    `handle` - handle of the report object node that the datset binded to.
    `datasetName` - the dataset name
  Returns:
    true if is successful
  Since:
    JReport version 8

### insertChart

    public java.lang.String insertChart(java.lang.String parent,
                                        ChartInfo info)
                                 throws DesignerErrorException

  Inserts a chart into report

  Parameters:
    `parent` - the handle of object that the chart to be inserted.
    `info` - chart information.
    `index` - inert chart at the specified index .
  Returns:
    hart handle.
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### setStyle

    public boolean setStyle(java.lang.String reportHandle,
                            java.lang.String viewName,
                            java.lang.String styleName)

  Set css or style to the report

  Parameters:
    `reportHandle` - the handle of the report.
    `viewName` - name of the view of report.
  Returns:
    true if it is successful, other wise return false.
  Since:
    JReport version 8

### setStyle

    public boolean setStyle(java.lang.String reportHandle,
                            java.lang.String[] objectHandles,
                            java.lang.String styleName,
                            boolean isURL)

  Set css or style to the report

  Parameters:
    `reportHandle` - the handle of the report.
    `objectHandles` - the list of handles that apply style.
    `styleName` - the style file name.
  Returns:
    true if it is successful, other wise return false.
  Since:
    JReport version 8

### setDefaultFormat

    public boolean setDefaultFormat(java.lang.String handle)

  Sets default object format

  Parameters:
    `handle` - the handle of the object.
  Returns:
    true if it is successful, other wise return false.
  Since:
    JReport version 8.2

### saveSelfContainedReport

    public boolean saveSelfContainedReport(java.lang.String rptHandle,
                                           java.lang.String path,
                                           java.lang.String filename)
                                    throws java.io.IOException,
                                           WriteFailureException,
                                           FMLFileException,
                                           ReadFailureException,
                                           UniverseFileException

  save the report as a self-contained report

  Parameters:
    `path` - the path of the report will be saved to
    `name` - the catalog name of the report will be saved to
    `newName` - new report name
  Throws:
    `java.io.IOException`
    `WriteFailureException`
    `FMLFileException`
    `ReadFailureException`
    `UniverseFileException`

### addDisplayName

    public void addDisplayName(java.lang.String report,
                               DisplayNameInfo displayNameInfo)

  Deprecated. Replaced by method addDisplayName(String report, String datasetHandle, DisplayNameInfo displayNameInfo) Add a Display Name to report.

  Parameters:
    `report` - current report name.
    `displayNameInfo` - information of display name.

### addDisplayName

    public void addDisplayName(java.lang.String report,
                               java.lang.String datasetHandle,
                               DisplayNameInfo displayNameInfo)

  Add a Display Name to report.

  Parameters:
    `report` - report handle.
    `datasetHandle` - handle of dataset.
    `displayNameInfo` - information of display name.

### getFormulas

    public java.lang.String[] getFormulas(java.lang.String report)

  Get all formula names in report.

  Parameters:
    `report` - current report name.
  Returns:
    all formula names in current report.

### getGroupNames

    public java.util.Vector getGroupNames(java.lang.String report)

  Get all group names in report.

  Parameters:
    `report` - current report name.
  Returns:
    all group names in current report.

### getAllResourceNames

    public java.lang.String[] getAllResourceNames(java.lang.String report)

  Get all resource names in report.

  Parameters:
    `report` - current report name.
  Returns:
    a string array, save all resource names in current report.

### removeDisplayName

    public void removeDisplayName(java.lang.String report,
                                  DisplayNameInfo displayNameInfo)

  Remove a Display Name from current report.

  Parameters:
    `report` - current report name.
    `displayNameInfo` - information of display name.

### getAllDisplayNames

    public java.util.Vector getAllDisplayNames(java.lang.String report)

  Get all Display Name from report.

  Parameters:
    `report` - current report name.
  Returns:
    a vector, contain all display name information.

### getDisplayName

    public DisplayNameInfo getDisplayName(java.lang.String report,
                                          java.lang.String resourceName)

  Get Display Name from report.

  Parameters:
    `report` - current report name.
    `resourceName` - resource name.
  Returns:
    if display name in current report that it's resource name equal to resourceName, return this display name, otherwise return null.

### updateDisplayName

    public void updateDisplayName(java.lang.String report,
                                  DisplayNameInfo displayNameInfo)

  Update properties of a Display Name.

  Parameters:
    `report` - current report name.
    `displayNameInfo` - information of display name.

### changeZOrder

    public boolean changeZOrder(java.lang.String objectHandle,
                                int zorderType)

  Sets z-order of object.

  Parameters:
    `objectHandle` - handle of object its z-order to be movedd
    `zorderType` - direction of object to be moved.
  Returns:
    true if object was moved sucessfully, otherwise return false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD